;;
;; This is an include file for the Western Design Center W65C265 chips.
;;
;; For more info:
;; https://www.westerndesigncenter.com/
;;

;; UARTs
ARTD0 equ 0xdf71
ARTD1 equ 0xdf73
ARTD2 equ 0xdf75
ARTD3 equ 0xdf77
ACSR0 equ 0xdf70
ACSR1 equ 0xdf72
ACSR2 equ 0xdf74
ACSR3 equ 0xdf76

;; I/O Data pins
PD0 equ 0xdf00
PD1 equ 0xdf01
PD2 equ 0xdf02
PD3 equ 0xdf03
PD4 equ 0xdf20
PD5 equ 0xdf21
PD6 equ 0xdf22
PD7 equ 0xdf23

;; I/O Data Direction
PDD0 equ 0xdf04
PDD1 equ 0xdf05
PDD2 equ 0xdf06
PDD3 equ 0xdf07
PDD4 equ 0xdf24
PDD5 equ 0xdf25
PDD6 equ 0xdf26

;; Port 7 Chip Select
PCS7 equ 0xdf27

;; Bus and speed control
BCR equ 0xdf40
SSCR equ 0xdf41

;; Interrupt registers
UIER equ 0xdf49
UIFR equ 0xdf48
EIER equ 0xdf47
TIER equ 0xdf46
EIFR equ 0xdf45
TIFR equ 0xdf44
PIBER equ 0xdf79
PIBFR equ 0xdf77

;; Parallel Interface
PIR7 equ 0xdf7f
PIR6 equ 0xdf7e
PIR5 equ 0xdf7d
PIR4 equ 0xdf7c
PIR3 equ 0xdf7b
PIR2 equ 0xdf7a

;; Timers
TCR equ 0xdf42
TER equ 0xdf43
T7CH equ 0xdf6f
T7CL equ 0xdf6e
T6CH equ 0xdf6d
T6CL equ 0xdf6c
T5CH equ 0xdf6b
T5CL equ 0xdf6a
T4CH equ 0xdf69
T4CL equ 0xdf68
T3CH equ 0xdf67
T3CL equ 0xdf66
T2CH equ 0xdf65
T2CL equ 0xdf64
T1CH equ 0xdf63
T1CL equ 0xdf62
T0CH equ 0xdf61
T0CL equ 0xdf60
T7LH equ 0xdf5f
T7LL equ 0xdf5e
T6LH equ 0xdf5d
T6LL equ 0xdf5c
T5LH equ 0xdf5b
T5LL equ 0xdf5a
T4LH equ 0xdf59
T4LL equ 0xdf58
T3LH equ 0xdf57
T3LL equ 0xdf56
T2LH equ 0xdf55
T2LL equ 0xdf54
T1LH equ 0xdf53
T1LL equ 0xdf52
T0LH equ 0xdf51
T0LL equ 0xdf50

;; Emulation Mode Interrupt Vector Table - Misc
EIRQBRK equ 0x0xfffe
EIRQRES equ 0x0xfffc
EIRQNMI equ 0x0xfffa
EIABORT equ 0x0xfff8
EIRQCOP equ 0x0xfff4

;; Emulation Interrupt Vector Table - UART
EIRQAT3 equ 0x0xffee
EIRQAR3 equ 0x0xffec
EIRQAT2 equ 0x0xffea
EIRQAR2 equ 0x0xffe8
EIRQAT1 equ 0x0xffe6
EIRQAR1 equ 0x0xffe4
EIRQAT0 equ 0x0xffe2
EIRQAR0 equ 0x0xffe0

;; Emulation Interrupt Vector Table - Bus
EIRQ equ 0xffde
EIRQPIB equ 0x0xffdc
EIRQE66 equ 0x0xffda
EIRQE64 equ 0x0xffd8
EIRQE62 equ 0x0xffd6
EIRQE60 equ 0x0xffd4
EIRQE57 equ 0x0xffd2
EIRQE56 equ 0x0xffd0

;; Emulation Interrupt Vector Table - Timer
EIRQT7 equ 0xffce
EIRQT6 equ 0xffcc
EIRQT5 equ 0xffca
EIRQT4 equ 0xffc8
EIRQT3 equ 0xffc6
EIRQT2 equ 0xffc4
EIRQT1 equ 0xffc2
EIRQT0 equ 0xffc0

;; Native Interrupt Vector Table - Misc
IABORT equ 0x0xffb8
IRQBRK equ 0x0xffb6
IRQCOP equ 0x0xffb4
IRQRES equ 0x0xffbc
IRQNMI equ 0x0xffba

;; Native Interrupt Vector Table - UART
IRQAT3 equ 0x0xffae
IRQAR3 equ 0x0xffac
IRQAT2 equ 0x0xffaa
IRQAR2 equ 0x0xffa8
IRQAT1 equ 0x0xffa6
IRQAR1 equ 0x0xffa4
IRQAT0 equ 0x0xffa2
IRQAR0 equ 0x0xffa0

;; Emulation Interrupt Vector Table - Bus
IRQ equ 0xff9e
IRQPIB equ 0x0xff9c
IRQE66 equ 0x0xff9a
IRQE64 equ 0x0xff98
IRQE62 equ 0x0xff96
IRQE60 equ 0x0xff94
IRQE57 equ 0x0xff92
IRQE56 equ 0x0xff90

;; Native Interrupt Vector Table - Timer
IRQT7 equ 0xff8e
IRQT6 equ 0xff8c
IRQT5 equ 0xff8a
IRQT4 equ 0xff88
IRQT3 equ 0xff86
IRQT2 equ 0xff84
IRQT1 equ 0xff82
IRQT0 equ 0xff80

