;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Amiga exec.library include file
;; Part of the naken_asm assembler
;;
;; Generated by: Michael Kohn (mike@mikekohn.net)
;;         Date: 2019-Jan-01
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; exec.library

ExecBase       equ 4

Supervisor     equ -30 ; Supervisor ()
ExitIntr       equ -36 ; Exitlntr ()
Schedule       equ -42 ; Schedule ()
Reschedule     equ -48 ; Reschedule ()
Switch         equ -54 ; Switch ()
Dispatch       equ -60 ; Dispatch ()
Exception      equ -66 ; Exception ()
InitCode       equ -72 ; InitCode (startClass.version) (DO,D1)
InitStruct     equ -78 ; InitStruct (initTable,memory,size) (Al,A2,D0)
MakeLibrary    equ -84 ; MakeLibrary (funclnit.structlnit,liblnit.dataSize, codeSize) (AO,A1,A2,DO,D1)
MakeFunctions  equ -90 ; MakeFunctions (target,functionArray,funcDispBase) (AO,A1,A2)
FindResident   equ -96 ; FindResident (name)(Al)
InitResident   equ -102 ; InitResident (resident,segList) (A1,D1)
Alert          equ -108 ; Alert (alertNum,parameters) (D7,A5)
Debug          equ -114 ; Debug ()
Disable        equ -120 ; Disable ()
Enable         equ -126 ; Enable ()
Forbid         equ -132 ; Forbid ()
Permit         equ -138 ; Permit ()
SetSR          equ -144 ; SetSR (newSR,mask) (DO,D1)
Superstate     equ -150 ; Superstate ()
UserState      equ -156 ; UserState (sysStack)(DO)
SetIntVector   equ -162 ; SetlntVector (intNumber.interrupt) (D0,Al)
AddIntServer   equ -168 ; AddlntServer (intNumber.interrupt) (D0,Al)
RemIntServer   equ -174 ; RemlntServer (intNumber.interrupt) (D0,Al)
Cause          equ -180 ; Cause (interrupt)(Al)
Allocate       equ -186 ; Allocate (freeList,byteSize) (A0,D0)
Deallocate     equ -192 ; Deallocate (freeList,memoryBlock,byteSize) (A0,Al,D0)
AllocMem       equ -198 ; AllocMem (byteSize,requirements) (D0,Dl)
AllocAbs       equ -204 ; AllocAbs (byteSize,location) (D0,Al)
FreeMem        equ -210 ; FreeMem (memoryBlock,byteSize) (Al,D0)
AvailMem       equ -216 ; AvailMem (requirements) (Dl)
AllocEntry     equ -222 ; AllocEntry (entry)(A0)
FreeEntry      equ -228 ; FreeEntry (entry)(A0)
Insert         equ -234 ; Insert (list,node,pred) (AO,A1,A2)
AddHead        equ -240 ; AddHead (list,node) (A0,Al)
AddTail        equ -246 ; AddTail (list,node) (A0,Al)
Remove         equ -252 ; Remove (node)(Al)
RemHead        equ -258 ; RemHead (list) (A0)
RemTail        equ -264 ; RemTail (list) (A0)
Enqueue        equ -270 ; Enqueue (list,node) (A0.A1)
FindName       equ -276 ; FindName (list.name) (A0,Al)
AddTask        equ -282 ; AddTask (task,initPC,finalPC) (A1,A2,A3)
RemTask        equ -288 ; RemTask (task)(Al)
FindTask       equ -294 ; FindTask (name)(Al)
SetTaskPri     equ -300 ; SetTaskPri (task,priority) (Al,D0)
SetSignal      equ -306 ; SetSignal (newSignals.signalSet) (DO,D1)
SetExcept      equ -312 ; SetExcept (newSignals,signalSet) (DO,D1)
Wait           equ -318 ; Wait (signalSet)(DO)
Signal         equ -324 ; Signal (task.signalSet) (Al,D0)
AllocSignal    equ -330 ; AllocSignal (signalNum)(DO)
FreeSignal     equ -336 ; FreeSignal (signalNum)(DO)
AllocTrap      equ -342 ; AllocTrap (trapNum) (DO)
FreeTrap       equ -348 ; FreeTrap (trapNum)(DO)
AddPort        equ -354 ; AddPort (port)(Al)
RemPort        equ -360 ; RemPort (port)(Al)
PutMsg         equ -366 ; PutMsg (port,message) (A0,Al)
GetMsg         equ -372 ; GetMsg (port)(A0)
ReplyMsg       equ -378 ; ReplyMsg (message)(Al)
WaitPort       equ -384 ; WaitPort (port)(A0)
FindPort       equ -390 ; FindPort (name)(Al)
AddLibrary     equ -396 ; AddLibrary (library) (Al)
RemLibrary     equ -402 ; RemLibrary (library)(Al)
OldOpenLibrary equ -408 ; OldOpenLibrary (libName)(Al)
CloseLibrary   equ -414 ; CloseLibrary (library)(Al)
SetFunction    equ -420 ; SetFunction (library,funcOffset,funcEntry) (Al,A0,D0)
SumLibrary     equ -426 ; SumLibrary (library)(Al)
AddDevice      equ -432 ; AddDevice (device)(Al)
RemDevice      equ -438 ; RemDevice (device)(Al)
OpenDevice     equ -444 ; OpenDevice (devName,unit,ioRequest,flags) (AO>DO,A1,D1)
CloseDevice    equ -450 ; CloseDevice (ioRequest)(Al)
DoIO           equ -456 ; DoIO (ioRequest)(Al)
SendIO         equ -462 ; SendIO (ioRequest) (Al)
CheckIO        equ -468 ; ChecklO (ioRequest)(Al)
WaitIO         equ -474 ; WaitIO (ioRequest)(Al)
AbortIO        equ -480 ; AbortIO (ioRequest)(Al)
AddRescource   equ -486 ; AddRescource (rescource)(Al)
RemRescource   equ -492 ; RemRescource (rescource)(Al)
OpenRescource  equ -498 ; OpenRescource (resName,version) (Al,D0)
RawIOInit      equ -504 ; RawIOInit ()
RawMayGetChar  equ -510 ; RawMayGetChar ()
RawPutChar     equ -516 ; RawPutChar (char)(DO)
RawDoFmt       equ -522 ; RawDoFmt () (AO,A1,A2,A3)
GetCC          equ -528 ; GetCC ()
TypeOfMem      equ -534 ; TypeOfMem (address) (Al)
Procedure      equ -540 ; Procedure (semaport,bidMsg) (A0,Al)
Vacate         equ -546 ; Vacate (semaport) (A0)
OpenLibrary    equ -552 ; OpenLibrary (libName.version) (A1,DO)

