; Convert Microchip include files to naken_asm readable.

__FUID0 equ 0x8005C0
__FUID1 equ 0x8005C2
__FUID2 equ 0x8005C4
__FUID3 equ 0x8005C6
__FOSC equ 0xF80000
__FWDT equ 0xF80002
__FBORPOR equ 0xF80004
__RESERVED1 equ 0xF80006
__RESERVED2 equ 0xF80008
__FGS equ 0xF8000A
__FICD equ 0xF8000C
__NO_HANDLES equ 1;          /* Suppress handles on this device  */
__IVT_BASE  equ 0x4
__AIVT_BASE equ 0x84
__DATA_BASE equ 0x800
__DATA_LENGTH equ 0x800
__YDATA_BASE equ 0xC00
__CODE_BASE equ 0x100
__CODE_LENGTH equ 0x3F00
_WREG0        equ 0x0
WREG1        equ 0x2
_WREG1        equ 0x2
WREG2        equ 0x4
_WREG2        equ 0x4
WREG3        equ 0x6
_WREG3        equ 0x6
WREG4        equ 0x8
_WREG4        equ 0x8
WREG5        equ 0xA
_WREG5        equ 0xA
WREG6        equ 0xC
_WREG6        equ 0xC
WREG7        equ 0xE
_WREG7        equ 0xE
WREG8        equ 0x10
_WREG8        equ 0x10
WREG9        equ 0x12
_WREG9        equ 0x12
WREG10       equ 0x14
_WREG10       equ 0x14
WREG11       equ 0x16
_WREG11       equ 0x16
WREG12       equ 0x18
_WREG12       equ 0x18
WREG13       equ 0x1A
_WREG13       equ 0x1A
WREG14       equ 0x1C
_WREG14       equ 0x1C
WREG15       equ 0x1E
_WREG15       equ 0x1E
SPLIM        equ 0x20
_SPLIM        equ 0x20
ACCAL        equ 0x22
_ACCAL        equ 0x22
ACCAH        equ 0x24
_ACCAH        equ 0x24
ACCAU        equ 0x26
_ACCAU        equ 0x26
ACCBL        equ 0x28
_ACCBL        equ 0x28
ACCBH        equ 0x2A
_ACCBH        equ 0x2A
ACCBU        equ 0x2C
_ACCBU        equ 0x2C
PCL          equ 0x2E
_PCL          equ 0x2E
PCH          equ 0x30
_PCH          equ 0x30
TBLPAG       equ 0x32
_TBLPAG       equ 0x32
PSVPAG       equ 0x34
_PSVPAG       equ 0x34
RCOUNT       equ 0x36
_RCOUNT       equ 0x36
DCOUNT       equ 0x38
_DCOUNT       equ 0x38
DOSTARTL     equ 0x3A
_DOSTARTL     equ 0x3A
DOSTARTH     equ 0x3C
_DOSTARTH     equ 0x3C
DOENDL       equ 0x3E
_DOENDL       equ 0x3E
DOENDH       equ 0x40
_DOENDH       equ 0x40
SR           equ 0x42
_SR           equ 0x42
_SRbits       equ 0x42
CORCON       equ 0x44
_CORCON       equ 0x44
_CORCONbits   equ 0x44
MODCON       equ 0x46
_MODCON       equ 0x46
_MODCONbits   equ 0x46
XMODSRT      equ 0x48
_XMODSRT      equ 0x48
XMODEND      equ 0x4A
_XMODEND      equ 0x4A
YMODSRT      equ 0x4C
_YMODSRT      equ 0x4C
YMODEND      equ 0x4E
_YMODEND      equ 0x4E
XBREV        equ 0x50
_XBREV        equ 0x50
_XBREVbits    equ 0x50
DISICNT      equ 0x52
_DISICNT      equ 0x52
_DISICNTbits  equ 0x52
INTCON1      equ 0x80
_INTCON1      equ 0x80
_INTCON1bits  equ 0x80
INTCON2      equ 0x82
_INTCON2      equ 0x82
_INTCON2bits  equ 0x82
IFS0         equ 0x84
_IFS0         equ 0x84
_IFS0bits     equ 0x84
IFS1         equ 0x86
_IFS1         equ 0x86
_IFS1bits     equ 0x86
IFS2         equ 0x88
_IFS2         equ 0x88
_IFS2bits     equ 0x88
IEC0         equ 0x8C
_IEC0         equ 0x8C
_IEC0bits     equ 0x8C
IEC1         equ 0x8E
_IEC1         equ 0x8E
_IEC1bits     equ 0x8E
IEC2         equ 0x90
_IEC2         equ 0x90
_IEC2bits     equ 0x90
IPC0         equ 0x94
_IPC0         equ 0x94
_IPC0bits     equ 0x94
IPC1         equ 0x96
_IPC1         equ 0x96
_IPC1bits     equ 0x96
IPC2         equ 0x98
_IPC2         equ 0x98
_IPC2bits     equ 0x98
IPC3         equ 0x9A
_IPC3         equ 0x9A
_IPC3bits     equ 0x9A
IPC4         equ 0x9C
_IPC4         equ 0x9C
_IPC4bits     equ 0x9C
IPC5         equ 0x9E
_IPC5         equ 0x9E
_IPC5bits     equ 0x9E
IPC10        equ 0xA8
_IPC10        equ 0xA8
_IPC10bits    equ 0xA8
INTTREG      equ 0xB0
_INTTREG      equ 0xB0
_INTTREGbits  equ 0xB0
CNEN1        equ 0xC0
_CNEN1        equ 0xC0
_CNEN1bits    equ 0xC0
CNPU1        equ 0xC4
_CNPU1        equ 0xC4
_CNPU1bits    equ 0xC4
TMR1         equ 0x100
_TMR1         equ 0x100
PR1          equ 0x102
_PR1          equ 0x102
T1CON        equ 0x104
_T1CON        equ 0x104
_T1CONbits    equ 0x104
TMR2         equ 0x106
_TMR2         equ 0x106
TMR3HLD      equ 0x108
_TMR3HLD      equ 0x108
TMR3         equ 0x10A
_TMR3         equ 0x10A
PR2          equ 0x10C
_PR2          equ 0x10C
PR3          equ 0x10E
_PR3          equ 0x10E
T2CON        equ 0x110
_T2CON        equ 0x110
_T2CONbits    equ 0x110
T3CON        equ 0x112
_T3CON        equ 0x112
_T3CONbits    equ 0x112
IC1BUF       equ 0x140
_IC1BUF       equ 0x140
IC1CON       equ 0x142
_IC1CON       equ 0x142
_IC1CONbits   equ 0x142
IC2BUF       equ 0x144
_IC2BUF       equ 0x144
IC2CON       equ 0x146
_IC2CON       equ 0x146
_IC2CONbits   equ 0x146
OC1RS        equ 0x180
_OC1RS        equ 0x180
OC1R         equ 0x182
_OC1R         equ 0x182
OC1CON       equ 0x184
_OC1CON       equ 0x184
_OC1CONbits   equ 0x184
OC2RS        equ 0x186
_OC2RS        equ 0x186
OC2R         equ 0x188
_OC2R         equ 0x188
OC2CON       equ 0x18A
_OC2CON       equ 0x18A
_OC2CONbits   equ 0x18A
I2CRCV       equ 0x200
_I2CRCV       equ 0x200
_I2CRCVbits   equ 0x200
I2CTRN       equ 0x202
_I2CTRN       equ 0x202
_I2CTRNbits   equ 0x202
I2CBRG       equ 0x204
_I2CBRG       equ 0x204
_I2CBRGbits   equ 0x204
I2CCON       equ 0x206
_I2CCON       equ 0x206
_I2CCONbits   equ 0x206
I2CSTAT      equ 0x208
_I2CSTAT      equ 0x208
_I2CSTATbits  equ 0x208
I2CADD       equ 0x20A
_I2CADD       equ 0x20A
_I2CADDbits   equ 0x20A
U1MODE       equ 0x20C
_U1MODE       equ 0x20C
_U1MODEbits   equ 0x20C
U1STA        equ 0x20E
_U1STA        equ 0x20E
_U1STAbits    equ 0x20E
U1TXREG      equ 0x210
_U1TXREG      equ 0x210
_U1TXREGbits  equ 0x210
U1RXREG      equ 0x212
_U1RXREG      equ 0x212
_U1RXREGbits  equ 0x212
U1BRG        equ 0x214
_U1BRG        equ 0x214
SPI1STAT     equ 0x220
_SPI1STAT     equ 0x220
_SPI1STATbits equ 0x220
SPI1CON      equ 0x222
_SPI1CON      equ 0x222
_SPI1CONbits  equ 0x222
SPI1BUF      equ 0x224
_SPI1BUF      equ 0x224
ADCBUF0      equ 0x280
_ADCBUF0      equ 0x280
ADCBUF1      equ 0x282
_ADCBUF1      equ 0x282
ADCBUF2      equ 0x284
_ADCBUF2      equ 0x284
ADCBUF3      equ 0x286
_ADCBUF3      equ 0x286
ADCBUF4      equ 0x288
_ADCBUF4      equ 0x288
ADCBUF5      equ 0x28A
_ADCBUF5      equ 0x28A
ADCBUF6      equ 0x28C
_ADCBUF6      equ 0x28C
ADCBUF7      equ 0x28E
_ADCBUF7      equ 0x28E
ADCBUF8      equ 0x290
_ADCBUF8      equ 0x290
ADCBUF9      equ 0x292
_ADCBUF9      equ 0x292
ADCBUFA      equ 0x294
_ADCBUFA      equ 0x294
ADCBUFB      equ 0x296
_ADCBUFB      equ 0x296
ADCBUFC      equ 0x298
_ADCBUFC      equ 0x298
ADCBUFD      equ 0x29A
_ADCBUFD      equ 0x29A
ADCBUFE      equ 0x29C
_ADCBUFE      equ 0x29C
ADCBUFF      equ 0x29E
_ADCBUFF      equ 0x29E
ADCON1       equ 0x2A0
_ADCON1       equ 0x2A0
_ADCON1bits   equ 0x2A0
ADCON2       equ 0x2A2
_ADCON2       equ 0x2A2
_ADCON2bits   equ 0x2A2
ADCON3       equ 0x2A4
_ADCON3       equ 0x2A4
_ADCON3bits   equ 0x2A4
ADCHS        equ 0x2A6
_ADCHS        equ 0x2A6
_ADCHSbits    equ 0x2A6
ADPCFG       equ 0x2A8
_ADPCFG       equ 0x2A8
_ADPCFGbits   equ 0x2A8
ADCSSL       equ 0x2AA
_ADCSSL       equ 0x2AA
_ADCSSLbits   equ 0x2AA
TRISB        equ 0x2C6
_TRISB        equ 0x2C6
_TRISBbits    equ 0x2C6
PORTB        equ 0x2C8
_PORTB        equ 0x2C8
_PORTBbits    equ 0x2C8
LATB         equ 0x2CA
_LATB         equ 0x2CA
_LATBbits     equ 0x2CA
TRISC        equ 0x2CC
_TRISC        equ 0x2CC
_TRISCbits    equ 0x2CC
PORTC        equ 0x2CE
_PORTC        equ 0x2CE
_PORTCbits    equ 0x2CE
LATC         equ 0x2D0
_LATC         equ 0x2D0
_LATCbits     equ 0x2D0
TRISD        equ 0x2D2
_TRISD        equ 0x2D2
_TRISDbits    equ 0x2D2
PORTD        equ 0x2D4
_PORTD        equ 0x2D4
_PORTDbits    equ 0x2D4
LATD         equ 0x2D6
_LATD         equ 0x2D6
_LATDbits     equ 0x2D6
RCON         equ 0x740
_RCON         equ 0x740
_RCONbits     equ 0x740
OSCCON       equ 0x742
_OSCCON       equ 0x742
_OSCCONbits   equ 0x742
OSCCONL      equ 0x742
_OSCCONL      equ 0x742
OSCCONH      equ 0x743
_OSCCONH      equ 0x743
OSCTUN       equ 0x744
_OSCTUN       equ 0x744
_OSCTUNbits   equ 0x744
NVMCON       equ 0x760
_NVMCON       equ 0x760
_NVMCONbits   equ 0x760
NVMADR       equ 0x762
_NVMADR       equ 0x762
NVMADRU      equ 0x764
_NVMADRU      equ 0x764
_NVMADRUbits  equ 0x764
NVMKEY       equ 0x766
_NVMKEY       equ 0x766
PMD1         equ 0x770
_PMD1         equ 0x770
_PMD1bits     equ 0x770
PMD2         equ 0x772
_PMD2         equ 0x772
_PMD2bits     equ 0x772
ACCA         equ 0x22
_ACCA         equ 0x22
ACCB         equ 0x28
_ACCB         equ 0x28
IC1          equ 0x140
_IC1          equ 0x140
IC2          equ 0x144
_IC2          equ 0x144
OC1          equ 0x180
_OC1          equ 0x180
OC2          equ 0x186
_OC2          equ 0x186
SPI1         equ 0x220
_SPI1         equ 0x220
UART1        equ 0x20C
_UART1        equ 0x20C
  WREG0L equ  _WREG0
  WREG0H equ  _WREG0+1
  WREG1L equ  _WREG1
  WREG1H equ  _WREG1+1
  WREG2L equ  _WREG2
  WREG2H equ  _WREG2+1
  WREG3L equ  _WREG3
  WREG3H equ  _WREG3+1
  WREG4L equ  _WREG4
  WREG4H equ  _WREG4+1
  WREG5L equ  _WREG5
  WREG5H equ  _WREG5+1
  WREG6L equ  _WREG6
  WREG6H equ  _WREG6+1
  WREG7L equ  _WREG7
  WREG7H equ  _WREG7+1
  WREG8L equ  _WREG8
  WREG8H equ  _WREG8+1
  WREG9L equ  _WREG9
  WREG9H equ  _WREG9+1
  WREG10L equ  _WREG10
  WREG10H equ  _WREG10+1
  WREG11L equ  _WREG11
  WREG11H equ  _WREG11+1
  WREG12L equ  _WREG12
  WREG12H equ  _WREG12+1
  WREG13L equ  _WREG13
  WREG13H equ  _WREG13+1
  WREG14L equ  _WREG14
  WREG14H equ  _WREG14+1
  WREG15L equ  _WREG15
  WREG15H equ  _WREG15+1
  SPLIML equ  _SPLIM
  SPLIMH equ  _SPLIM+1
  ACCALL equ  _ACCAL
  ACCALH equ  _ACCAL+1
  ACCAHL equ  _ACCAH
  ACCAHH equ  _ACCAH+1
  ACCAUL equ  _ACCAU
  ACCAUH equ  _ACCAU+1
  ACCBLL equ  _ACCBL
  ACCBLH equ  _ACCBL+1
  ACCBHL equ  _ACCBH
  ACCBHH equ  _ACCBH+1
  ACCBUL equ  _ACCBU
  ACCBUH equ  _ACCBU+1
  PCLL equ  _PCL
  PCLH equ  _PCL+1
  PCHL equ  _PCH
  PCHH equ  _PCH+1
  TBLPAGL equ  _TBLPAG
  TBLPAGH equ  _TBLPAG+1
  PSVPAGL equ  _PSVPAG
  PSVPAGH equ  _PSVPAG+1
  RCOUNTL equ  _RCOUNT
  RCOUNTH equ  _RCOUNT+1
  DCOUNTL equ  _DCOUNT
  DCOUNTH equ  _DCOUNT+1
  DOSTARTLL equ  _DOSTARTL
  DOSTARTLH equ  _DOSTARTL+1
  DOSTARTHL equ  _DOSTARTH
  DOSTARTHH equ  _DOSTARTH+1
  DOENDLL equ  _DOENDL
  DOENDLH equ  _DOENDL+1
  DOENDHL equ  _DOENDH
  DOENDHH equ  _DOENDH+1
  SRL equ  _SR
  SRH equ  _SR+1
  CORCONL equ  _CORCON
  CORCONH equ  _CORCON+1
  MODCONL equ  _MODCON
  MODCONH equ  _MODCON+1
  XMODSRTL equ  _XMODSRT
  XMODSRTH equ  _XMODSRT+1
  XMODENDL equ  _XMODEND
  XMODENDH equ  _XMODEND+1
  YMODSRTL equ  _YMODSRT
  YMODSRTH equ  _YMODSRT+1
  YMODENDL equ  _YMODEND
  YMODENDH equ  _YMODEND+1
  XBREVL equ  _XBREV
  XBREVH equ  _XBREV+1
  DISICNTL equ  _DISICNT
  DISICNTH equ  _DISICNT+1
  INTCON1L equ  _INTCON1
  INTCON1H equ  _INTCON1+1
  INTCON2L equ  _INTCON2
  INTCON2H equ  _INTCON2+1
  IFS0L equ  _IFS0
  IFS0H equ  _IFS0+1
  IFS1L equ  _IFS1
  IFS1H equ  _IFS1+1
  IFS2L equ  _IFS2
  IFS2H equ  _IFS2+1
  IEC0L equ  _IEC0
  IEC0H equ  _IEC0+1
  IEC1L equ  _IEC1
  IEC1H equ  _IEC1+1
  IEC2L equ  _IEC2
  IEC2H equ  _IEC2+1
  IPC0L equ  _IPC0
  IPC0H equ  _IPC0+1
  IPC1L equ  _IPC1
  IPC1H equ  _IPC1+1
  IPC2L equ  _IPC2
  IPC2H equ  _IPC2+1
  IPC3L equ  _IPC3
  IPC3H equ  _IPC3+1
  IPC4L equ  _IPC4
  IPC4H equ  _IPC4+1
  IPC5L equ  _IPC5
  IPC5H equ  _IPC5+1
  IPC10L equ  _IPC10
  IPC10H equ  _IPC10+1
  INTTREGL equ  _INTTREG
  INTTREGH equ  _INTTREG+1
  CNEN1L equ  _CNEN1
  CNEN1H equ  _CNEN1+1
  CNPU1L equ  _CNPU1
  CNPU1H equ  _CNPU1+1
  TMR1L equ  _TMR1
  TMR1H equ  _TMR1+1
  PR1L equ  _PR1
  PR1H equ  _PR1+1
  T1CONL equ  _T1CON
  T1CONH equ  _T1CON+1
  TMR2L equ  _TMR2
  TMR2H equ  _TMR2+1
  TMR3HLDL equ  _TMR3HLD
  TMR3HLDH equ  _TMR3HLD+1
  TMR3L equ  _TMR3
  TMR3H equ  _TMR3+1
  PR2L equ  _PR2
  PR2H equ  _PR2+1
  PR3L equ  _PR3
  PR3H equ  _PR3+1
  T2CONL equ  _T2CON
  T2CONH equ  _T2CON+1
  T3CONL equ  _T3CON
  T3CONH equ  _T3CON+1
  IC1BUFL equ  _IC1BUF
  IC1BUFH equ  _IC1BUF+1
  IC1CONL equ  _IC1CON
  IC1CONH equ  _IC1CON+1
  IC2BUFL equ  _IC2BUF
  IC2BUFH equ  _IC2BUF+1
  IC2CONL equ  _IC2CON
  IC2CONH equ  _IC2CON+1
  OC1RSL equ  _OC1RS
  OC1RSH equ  _OC1RS+1
  OC1RL equ  _OC1R
  OC1RH equ  _OC1R+1
  OC1CONL equ  _OC1CON
  OC1CONH equ  _OC1CON+1
  OC2RSL equ  _OC2RS
  OC2RSH equ  _OC2RS+1
  OC2RL equ  _OC2R
  OC2RH equ  _OC2R+1
  OC2CONL equ  _OC2CON
  OC2CONH equ  _OC2CON+1
  I2CRCVL equ  _I2CRCV
  I2CRCVH equ  _I2CRCV+1
  I2CTRNL equ  _I2CTRN
  I2CTRNH equ  _I2CTRN+1
  I2CBRGL equ  _I2CBRG
  I2CBRGH equ  _I2CBRG+1
  I2CCONL equ  _I2CCON
  I2CCONH equ  _I2CCON+1
  I2CSTATL equ  _I2CSTAT
  I2CSTATH equ  _I2CSTAT+1
  I2CADDL equ  _I2CADD
  I2CADDH equ  _I2CADD+1
  U1MODEL equ  _U1MODE
  U1MODEH equ  _U1MODE+1
  U1STAL equ  _U1STA
  U1STAH equ  _U1STA+1
  U1TXREGL equ  _U1TXREG
  U1TXREGH equ  _U1TXREG+1
  U1RXREGL equ  _U1RXREG
  U1RXREGH equ  _U1RXREG+1
  U1BRGL equ  _U1BRG
  U1BRGH equ  _U1BRG+1
  SPI1STATL equ  _SPI1STAT
  SPI1STATH equ  _SPI1STAT+1
  SPI1CONL equ  _SPI1CON
  SPI1CONH equ  _SPI1CON+1
  SPI1BUFL equ  _SPI1BUF
  SPI1BUFH equ  _SPI1BUF+1
  ADCBUF0L equ  _ADCBUF0
  ADCBUF0H equ  _ADCBUF0+1
  ADCBUF1L equ  _ADCBUF1
  ADCBUF1H equ  _ADCBUF1+1
  ADCBUF2L equ  _ADCBUF2
  ADCBUF2H equ  _ADCBUF2+1
  ADCBUF3L equ  _ADCBUF3
  ADCBUF3H equ  _ADCBUF3+1
  ADCBUF4L equ  _ADCBUF4
  ADCBUF4H equ  _ADCBUF4+1
  ADCBUF5L equ  _ADCBUF5
  ADCBUF5H equ  _ADCBUF5+1
  ADCBUF6L equ  _ADCBUF6
  ADCBUF6H equ  _ADCBUF6+1
  ADCBUF7L equ  _ADCBUF7
  ADCBUF7H equ  _ADCBUF7+1
  ADCBUF8L equ  _ADCBUF8
  ADCBUF8H equ  _ADCBUF8+1
  ADCBUF9L equ  _ADCBUF9
  ADCBUF9H equ  _ADCBUF9+1
  ADCBUFAL equ  _ADCBUFA
  ADCBUFAH equ  _ADCBUFA+1
  ADCBUFBL equ  _ADCBUFB
  ADCBUFBH equ  _ADCBUFB+1
  ADCBUFCL equ  _ADCBUFC
  ADCBUFCH equ  _ADCBUFC+1
  ADCBUFDL equ  _ADCBUFD
  ADCBUFDH equ  _ADCBUFD+1
  ADCBUFEL equ  _ADCBUFE
  ADCBUFEH equ  _ADCBUFE+1
  ADCBUFFL equ  _ADCBUFF
  ADCBUFFH equ  _ADCBUFF+1
  ADCON1L equ  _ADCON1
  ADCON1H equ  _ADCON1+1
  ADCON2L equ  _ADCON2
  ADCON2H equ  _ADCON2+1
  ADCON3L equ  _ADCON3
  ADCON3H equ  _ADCON3+1
  ADCHSL equ  _ADCHS
  ADCHSH equ  _ADCHS+1
  ADPCFGL equ  _ADPCFG
  ADPCFGH equ  _ADPCFG+1
  ADCSSLL equ  _ADCSSL
  ADCSSLH equ  _ADCSSL+1
  TRISBL equ  _TRISB
  TRISBH equ  _TRISB+1
  PORTBL equ  _PORTB
  PORTBH equ  _PORTB+1
  LATBL equ  _LATB
  LATBH equ  _LATB+1
  TRISCL equ  _TRISC
  TRISCH equ  _TRISC+1
  PORTCL equ  _PORTC
  PORTCH equ  _PORTC+1
  LATCL equ  _LATC
  LATCH equ  _LATC+1
  TRISDL equ  _TRISD
  TRISDH equ  _TRISD+1
  PORTDL equ  _PORTD
  PORTDH equ  _PORTD+1
  LATDL equ  _LATD
  LATDH equ  _LATD+1
  RCONL equ  _RCON
  RCONH equ  _RCON+1
  OSCCONLL equ  _OSCCONL
  OSCCONLH equ  _OSCCONL+1
  OSCCONHL equ  _OSCCONH
  OSCCONHH equ  _OSCCONH+1
  OSCTUNL equ  _OSCTUN
  OSCTUNH equ  _OSCTUN+1
  NVMCONL equ  _NVMCON
  NVMCONH equ  _NVMCON+1
  NVMADRL equ  _NVMADR
  NVMADRH equ  _NVMADR+1
  NVMADRUL equ  _NVMADRU
  NVMADRUH equ  _NVMADRU+1
  NVMKEYL equ  _NVMKEY
  NVMKEYH equ  _NVMKEY+1
  PMD1L equ  _PMD1
  PMD1H equ  _PMD1+1
  PMD2L equ  _PMD2
  PMD2H equ  _PMD2+1
 C equ        0x0000
 Z equ        0x0001
 OV equ       0x0002
 N equ        0x0003
 RA equ       0x0004
 ;DC equ       0x0008
 DA equ       0x0009
 SAB equ      0x000A
 OAB equ      0x000B
 SB equ       0x000C
 SA equ       0x000D
 OB equ       0x000E
 OA equ       0x000F
 IPL0 equ     0x0005
 IPL1 equ     0x0006
 IPL2 equ     0x0007
 IF equ       0x0000
 RND equ      0x0001
 PSV equ      0x0002
 IPL3 equ     0x0003
 ACCSAT equ   0x0004
 SATDW equ    0x0005
 SATB equ     0x0006
 SATA equ     0x0007
 EDT equ      0x000B
 US equ       0x000C
 DL0 equ      0x0008
 DL1 equ      0x0009
 DL2 equ      0x000A
 YMODEN equ   0x000E
 XMODEN equ   0x000F
 XWM0 equ     0x0000
 XWM1 equ     0x0001
 XWM2 equ     0x0002
 XWM3 equ     0x0003
 YWM0 equ     0x0004
 YWM1 equ     0x0005
 YWM2 equ     0x0006
 YWM3 equ     0x0007
 BWM0 equ     0x0008
 BWM1 equ     0x0009
 BWM2 equ     0x000A
 BWM3 equ     0x000B
 BREN equ     0x000F
 XB0 equ      0x0000
 XB1 equ      0x0001
 XB2 equ      0x0002
 XB3 equ      0x0003
 XB4 equ      0x0004
 XB5 equ      0x0005
 XB6 equ      0x0006
 XB7 equ      0x0007
 XB8 equ      0x0008
 XB9 equ      0x0009
 XB10 equ     0x000A
 XB11 equ     0x000B
 XB12 equ     0x000C
 XB13 equ     0x000D
 XB14 equ     0x000E
 OSCFAIL equ  0x0001
 STKERR equ   0x0002
 ADDRERR equ  0x0003
 MATHERR equ  0x0004
 COVTE equ    0x0008
 OVBTE equ    0x0009
 OVATE equ    0x000A
 NSTDIS equ   0x000F
 INT0EP equ   0x0000
 INT1EP equ   0x0001
 INT2EP equ   0x0002
 DISI equ     0x000E
 ALTIVT equ   0x000F
 INT0IF equ   0x0000
 IC1IF equ    0x0001
 OC1IF equ    0x0002
 T1IF equ     0x0003
 IC2IF equ    0x0004
 OC2IF equ    0x0005
 T2IF equ     0x0006
 T3IF equ     0x0007
 SPI1IF equ   0x0008
 U1RXIF equ   0x0009
 U1TXIF equ   0x000A
 ADIF equ     0x000B
 NVMIF equ    0x000C
 SI2CIF equ   0x000D
 MI2CIF equ   0x000E
 CNIF equ     0x000F
 INT1IF equ   0x0000
 INT2IF equ   0x0007
 LVDIF equ    0x000A
 INT0IE equ   0x0000
 IC1IE equ    0x0001
 OC1IE equ    0x0002
 T1IE equ     0x0003
 IC2IE equ    0x0004
 OC2IE equ    0x0005
 T2IE equ     0x0006
 T3IE equ     0x0007
 SPI1IE equ   0x0008
 U1RXIE equ   0x0009
 U1TXIE equ   0x000A
 ADIE equ     0x000B
 NVMIE equ    0x000C
 SI2CIE equ   0x000D
 MI2CIE equ   0x000E
 CNIE equ     0x000F
 INT1IE equ   0x0000
 INT2IE equ   0x0007
 LVDIE equ    0x000A
 INT0IP0 equ  0x0000
 INT0IP1 equ  0x0001
 INT0IP2 equ  0x0002
 IC1IP0 equ   0x0004
 IC1IP1 equ   0x0005
 IC1IP2 equ   0x0006
 OC1IP0 equ   0x0008
 OC1IP1 equ   0x0009
 OC1IP2 equ   0x000A
 T1IP0 equ    0x000C
 T1IP1 equ    0x000D
 T1IP2 equ    0x000E
 IC2IP0 equ   0x0000
 IC2IP1 equ   0x0001
 IC2IP2 equ   0x0002
 OC2IP0 equ   0x0004
 OC2IP1 equ   0x0005
 OC2IP2 equ   0x0006
 T2IP0 equ    0x0008
 T2IP1 equ    0x0009
 T2IP2 equ    0x000A
 T3IP0 equ    0x000C
 T3IP1 equ    0x000D
 T3IP2 equ    0x000E
 SPI1IP0 equ  0x0000
 SPI1IP1 equ  0x0001
 SPI1IP2 equ  0x0002
 U1RXIP0 equ  0x0004
 U1RXIP1 equ  0x0005
 U1RXIP2 equ  0x0006
 U1TXIP0 equ  0x0008
 U1TXIP1 equ  0x0009
 U1TXIP2 equ  0x000A
 ADIP0 equ    0x000C
 ADIP1 equ    0x000D
 ADIP2 equ    0x000E
 NVMIP0 equ   0x0000
 NVMIP1 equ   0x0001
 NVMIP2 equ   0x0002
 SI2CIP0 equ  0x0004
 SI2CIP1 equ  0x0005
 SI2CIP2 equ  0x0006
 MI2CIP0 equ  0x0008
 MI2CIP1 equ  0x0009
 MI2CIP2 equ  0x000A
 CNIP0 equ    0x000C
 CNIP1 equ    0x000D
 CNIP2 equ    0x000E
 INT1IP0 equ  0x0000
 INT1IP1 equ  0x0001
 INT1IP2 equ  0x0002
 INT2IP0 equ  0x000C
 INT2IP1 equ  0x000D
 INT2IP2 equ  0x000E
 LVDIP0 equ   0x0008
 LVDIP1 equ   0x0009
 LVDIP2 equ   0x000A
 VHOLD equ    0x000D
 TMODE equ    0x000E
 IRQTOCPU equ  0x000F
 VECNUM0 equ  0x0000
 VECNUM1 equ  0x0001
 VECNUM2 equ  0x0002
 VECNUM3 equ  0x0003
 VECNUM4 equ  0x0004
 VECNUM5 equ  0x0005
 ILR0 equ     0x0008
 ILR1 equ     0x0009
 ILR2 equ     0x000A
 ILR3 equ     0x000B
 CN0IE equ    0x0000
 CN1IE equ    0x0001
 CN2IE equ    0x0002
 CN3IE equ    0x0003
 CN4IE equ    0x0004
 CN5IE equ    0x0005
 CN6IE equ    0x0006
 CN7IE equ    0x0007
 CN0PUE equ   0x0000
 CN1PUE equ   0x0001
 CN2PUE equ   0x0002
 CN3PUE equ   0x0003
 CN4PUE equ   0x0004
 CN5PUE equ   0x0005
 CN6PUE equ   0x0006
 CN7PUE equ   0x0007
 TCS equ      0x0001
 TSYNC equ    0x0002
 TGATE equ    0x0006
 TSIDL equ    0x000D
 TON equ      0x000F
 TCKPS0 equ   0x0004
 TCKPS1 equ   0x0005
 T32 equ      0x0003
 ICBNE equ    0x0003
 ICOV equ     0x0004
 ICTMR equ    0x0007
 ICSIDL equ   0x000D
 ICM0 equ     0x0000
 ICM1 equ     0x0001
 ICM2 equ     0x0002
 ICI0 equ     0x0005
 ICI1 equ     0x0006
 OCTSEL equ   0x0003
 OCFLT equ    0x0004
 OCSIDL equ   0x000D
 OCM0 equ     0x0000
 OCM1 equ     0x0001
 OCM2 equ     0x0002
 I2CRCV0 equ  0x0000
 I2CRCV1 equ  0x0001
 I2CRCV2 equ  0x0002
 I2CRCV3 equ  0x0003
 I2CRCV4 equ  0x0004
 I2CRCV5 equ  0x0005
 I2CRCV6 equ  0x0006
 I2CRCV7 equ  0x0007
 I2CTRN0 equ  0x0000
 I2CTRN1 equ  0x0001
 I2CTRN2 equ  0x0002
 I2CTRN3 equ  0x0003
 I2CTRN4 equ  0x0004
 I2CTRN5 equ  0x0005
 I2CTRN6 equ  0x0006
 I2CTRN7 equ  0x0007
 SEN equ      0x0000
 RSEN equ     0x0001
 PEN equ      0x0002
 RCEN equ     0x0003
 ACKEN equ    0x0004
 ACKDT equ    0x0005
 STREN equ    0x0006
 GCEN equ     0x0007
 SMEN equ     0x0008
 DISSLW equ   0x0009
 A10M equ     0x000A
 IPMIEN equ   0x000B
 SCLREL equ   0x000C
 I2CSIDL equ  0x000D
 I2CEN equ    0x000F
 TBF equ      0x0000
 RBF equ      0x0001
 R_NOT_W equ  0x0002
 S equ        0x0003
 P equ        0x0004
 D_NOT_A equ  0x0005
 I2COV equ    0x0006
 IWCOL equ    0x0007
 ADD10 equ    0x0008
 GCSTAT equ   0x0009
 BCL equ      0x000A
 TRSTAT equ   0x000E
 ACKSTAT equ  0x000F
 R_W equ      0x0002
 D_A equ      0x0005
 STSEL equ    0x0000
 ABAUD equ    0x0005
 LPBACK equ   0x0006
 WAKE equ     0x0007
 ALTIO equ    0x000A
 USIDL equ    0x000D
 UARTEN equ   0x000F
 PDSEL0 equ   0x0001
 PDSEL1 equ   0x0002
 URXDA equ    0x0000
 OERR equ     0x0001
 FERR equ     0x0002
 PERR equ     0x0003
 RIDLE equ    0x0004
 ADDEN equ    0x0005
 TRMT equ     0x0008
 UTXBF equ    0x0009
 UTXEN equ    0x000A
 UTXBRK equ   0x000B
 UTXISEL equ  0x000F
 URXISEL0 equ  0x0006
 URXISEL1 equ  0x0007
 UTXREG0 equ  0x0000
 UTXREG1 equ  0x0001
 UTXREG2 equ  0x0002
 UTXREG3 equ  0x0003
 UTXREG4 equ  0x0004
 UTXREG5 equ  0x0005
 UTXREG6 equ  0x0006
 UTXREG7 equ  0x0007
 UTXREG8 equ  0x0008
 UTX8 equ     0x0008
 URXREG0 equ  0x0000
 URXREG1 equ  0x0001
 URXREG2 equ  0x0002
 URXREG3 equ  0x0003
 URXREG4 equ  0x0004
 URXREG5 equ  0x0005
 URXREG6 equ  0x0006
 URXREG7 equ  0x0007
 URXREG8 equ  0x0008
 URX8 equ     0x0008
 SPIRBF equ   0x0000
 SPITBF equ   0x0001
 SPIROV equ   0x0006
 SPISIDL equ  0x000D
 SPIEN equ    0x000F
 PPRE0 equ    0x0000
 PPRE1 equ    0x0001
 SPRE0 equ    0x0002
 SPRE1 equ    0x0003
 SPRE2 equ    0x0004
 MSTEN equ    0x0005
 CKP equ      0x0006
 SSEN equ     0x0007
 CKE equ      0x0008
 SMP equ      0x0009
 MODE16 equ   0x000A
 DISSDO equ   0x000B
 SPIFSD equ   0x000D
 FRMEN equ    0x000E
 DONE equ     0x0000
 SAMP equ     0x0001
 ASAM equ     0x0002
 ADSIDL equ   0x000D
 ADON equ     0x000F
 SSRC0 equ    0x0005
 SSRC1 equ    0x0006
 SSRC2 equ    0x0007
 FORM0 equ    0x0008
 FORM1 equ    0x0009
 ALTS equ     0x0000
 BUFM equ     0x0001
 BUFS equ     0x0007
 CSCNA equ    0x000A
 SMPI0 equ    0x0002
 SMPI1 equ    0x0003
 SMPI2 equ    0x0004
 SMPI3 equ    0x0005
 VCFG0 equ    0x000D
 VCFG1 equ    0x000E
 VCFG2 equ    0x000F
 ADRC equ     0x0007
 ADCS0 equ    0x0000
 ADCS1 equ    0x0001
 ADCS2 equ    0x0002
 ADCS3 equ    0x0003
 ADCS4 equ    0x0004
 ADCS5 equ    0x0005
 SAMC0 equ    0x0008
 SAMC1 equ    0x0009
 SAMC2 equ    0x000A
 SAMC3 equ    0x000B
 SAMC4 equ    0x000C
 CH0NA equ    0x0004
 CH0NB equ    0x000C
 CH0SA0 equ   0x0000
 CH0SA1 equ   0x0001
 CH0SA2 equ   0x0002
 CH0SA3 equ   0x0003
 CH0SB0 equ   0x0008
 CH0SB1 equ   0x0009
 CH0SB2 equ   0x000A
 CH0SB3 equ   0x000B
 PCFG0 equ    0x0000
 PCFG1 equ    0x0001
 PCFG2 equ    0x0002
 PCFG3 equ    0x0003
 PCFG4 equ    0x0004
 PCFG5 equ    0x0005
 PCFG6 equ    0x0006
 PCFG7 equ    0x0007
 CSSL0 equ    0x0000
 CSSL1 equ    0x0001
 CSSL2 equ    0x0002
 CSSL3 equ    0x0003
 CSSL4 equ    0x0004
 CSSL5 equ    0x0005
 CSSL6 equ    0x0006
 CSSL7 equ    0x0007
 TRISB0 equ   0x0000
 TRISB1 equ   0x0001
 TRISB2 equ   0x0002
 TRISB3 equ   0x0003
 TRISB4 equ   0x0004
 TRISB5 equ   0x0005
 TRISB6 equ   0x0006
 TRISB7 equ   0x0007
 RB0 equ      0x0000
 RB1 equ      0x0001
 RB2 equ      0x0002
 RB3 equ      0x0003
 RB4 equ      0x0004
 RB5 equ      0x0005
 RB6 equ      0x0006
 RB7 equ      0x0007
 LATB0 equ    0x0000
 LATB1 equ    0x0001
 LATB2 equ    0x0002
 LATB3 equ    0x0003
 LATB4 equ    0x0004
 LATB5 equ    0x0005
 LATB6 equ    0x0006
 LATB7 equ    0x0007
 TRISC13 equ  0x000D
 TRISC14 equ  0x000E
 TRISC15 equ  0x000F
 RC13 equ     0x000D
 RC14 equ     0x000E
 RC15 equ     0x000F
 LATC13 equ   0x000D
 LATC14 equ   0x000E
 LATC15 equ   0x000F
 TRISD0 equ   0x0000
 RD0 equ      0x0000
 LATD0 equ    0x0000
 POR equ      0x0000
 BOR equ      0x0001
 IDLE equ     0x0002
 SLEEP equ    0x0003
 WDTO equ     0x0004
 SWDTEN equ   0x0005
 SWR equ      0x0006
 EXTR equ     0x0007
 LVDEN equ    0x000C
 BGST equ     0x000D
 IOPUWR equ   0x000E
 TRAPR equ    0x000F
 LVDL0 equ    0x0008
 LVDL1 equ    0x0009
 LVDL2 equ    0x000A
 LVDL3 equ    0x000B
 OSWEN equ    0x0000
 LPOSCEN equ  0x0001
 CF equ       0x0003
 LOCK equ     0x0005
 POST0 equ    0x0006
 POST1 equ    0x0007
 NOSC0 equ    0x0008
 NOSC1 equ    0x0009
 NOSC2 equ    0x000A
 COSC0 equ    0x000C
 COSC1 equ    0x000D
 COSC2 equ    0x000E
 TUN0 equ     0x0000
 TUN1 equ     0x0001
 TUN2 equ     0x0002
 TUN3 equ     0x0003
 TWRI equ     0x0008
 WRERR equ    0x000D
 WREN equ     0x000E
 WR equ       0x000F
 PROGOP0 equ  0x0000
 PROGOP1 equ  0x0001
 PROGOP2 equ  0x0002
 PROGOP3 equ  0x0003
 PROGOP4 equ  0x0004
 PROGOP5 equ  0x0005
 PROGOP6 equ  0x0006
 ADCMD equ    0x0000
 SPI1MD equ   0x0003
 U1MD equ     0x0005
 I2CMD equ    0x0007
 T1MD equ     0x000B
 T2MD equ     0x000C
 T3MD equ     0x000D
 OC1MD equ    0x0000
 OC2MD equ    0x0001
 IC1MD equ    0x0008
 IC2MD equ    0x0009
 SLEEP_MODE equ  0x0
 IDLE_MODE equ  0x1
 LP equ               0xF8E0 ; Low-Power 32KHz Osc (No change to Primary Osc Mode bits)
 FRC equ              0xF9E0 ; Internal Fast RC (No change to Primary Osc Mode bits)
 LPRC equ             0xFAE0 ; Internal Low-Power RC (No change to Primary Osc Mode bits)
 XTL equ              0xFBE0 ; XTL
 HS equ               0xFBE2 ; HS
 XT equ               0xFBE4 ; XT
 ERCIO equ            0xFBE8 ; ERCIO
 ERC equ              0xFBE9 ; ERC
 EC equ               0xFBEB ; EC
 ECIO equ             0xFBEC ; ECIO
 FRC_PLL4 equ         0xFFE1 ; FRC w/PLL 4x
 FRC_PLL16 equ        0xFFE3 ; FRC w/PLL 16x
 XT_PLL4 equ          0xFFE5 ; XT w/PLL 4x
 XT_PLL8 equ          0xFFE6 ; XT w/PLL 8x
 XT_PLL16 equ         0xFFE7 ; XT w/PLL 16x
 FRC_PLL8 equ         0xFFEA ; FRC w/PLL 8x
 ECIO_PLL4 equ        0xFFED ; ECIO w/PLL 4x
 ECIO_PLL8 equ        0xFFEE ; ECIO w/PLL 8x
 ECIO_PLL16 equ       0xFFEF ; ECIO w/PLL 16x
 HS2_PLL4 equ         0xFFF1 ; HS2 w/PLL 4x
 HS2_PLL8 equ         0xFFF2 ; HS2 w/PLL 8x
 HS2_PLL16 equ        0xFFF3 ; HS2 w/PLL 16x
 HS3_PLL4 equ         0xFFF5 ; HS3 w/PLL 4x
 HS3_PLL8 equ         0xFFF6 ; HS3 w/PLL 8x
 HS3_PLL16 equ        0xFFF7 ; HS3 w/PLL 16x
 CSW_FSCM_ON equ      0x3FFF ; Sw Enabled
 CSW_ON_FSCM_OFF equ  0x7FFF ; Sw Enabled
 CSW_FSCM_OFF equ     0xBFFF ; Sw Disabled
 WDTPSB_1 equ         0xFFF0 ; 1:1
 WDTPSB_2 equ         0xFFF1 ; 1:2
 WDTPSB_3 equ         0xFFF2 ; 1:3
 WDTPSB_4 equ         0xFFF3 ; 1:4
 WDTPSB_5 equ         0xFFF4 ; 1:5
 WDTPSB_6 equ         0xFFF5 ; 1:6
 WDTPSB_7 equ         0xFFF6 ; 1:7
 WDTPSB_8 equ         0xFFF7 ; 1:8
 WDTPSB_9 equ         0xFFF8 ; 1:9
 WDTPSB_10 equ        0xFFF9 ; 1:10
 WDTPSB_11 equ        0xFFFA ; 1:11
 WDTPSB_12 equ        0xFFFB ; 1:12
 WDTPSB_13 equ        0xFFFC ; 1:13
 WDTPSB_14 equ        0xFFFD ; 1:14
 WDTPSB_15 equ        0xFFFE ; 1:15
 WDTPSB_16 equ        0xFFFF ; 1:16
 WDTPSA_1 equ         0xFFCF ; 1:1
 WDTPSA_8 equ         0xFFDF ; 1:8
 WDTPSA_64 equ        0xFFEF ; 1:64
 WDTPSA_512 equ       0xFFFF ; 1:512
 WDT_OFF equ          0x7FFF ; Disabled
 WDT_ON equ           0xFFFF ; Enabled
 PWRT_OFF equ         0xFFFC ; Timer Disabled
 PWRT_4 equ           0xFFFD ; 4ms
 PWRT_16 equ          0xFFFE ; 16ms
 PWRT_64 equ          0xFFFF ; 64ms
 BORV45 equ           0xFFCF ; 4.5V
 BORV42 equ           0xFFDF ; 4.2V
 BORV27 equ           0xFFEF ; 2.7V
 BORV20 equ           0xFFFF ; Reserved
 PBOR_OFF equ         0xFF7F ; Disabled
 PBOR_ON equ          0xFFFF ; Enabled
 MCLR_DIS equ         0x7FFF ; Disabled
 MCLR_EN equ          0xFFFF ; Enabled
 GWRP_ON equ          0xFFFE ; Enabled
 GWRP_OFF equ         0xFFFF ; Disabled
 CODE_PROT_ON equ     0xFFF9 ; Enabled
 CODE_PROT_OFF equ    0xFFFF ; Disabled
 ICS_PGD3 equ         0xFFFC ; Use EMUC3 and EMUD3
 PGD3 equ             0xFFFC ; Use EMUC3 and EMUD3
 ICS_PGD2 equ         0xFFFD ; Use EMUC2 and EMUD2
 PGD2 equ             0xFFFD ; Use EMUC2 and EMUD2
 ICS_PGD1 equ         0xFFFE ; Use EMUC1 and EMUD1
 PGD1 equ             0xFFFE ; Use EMUC1 and EMUD1
 ICS_PGD equ          0xFFFF ; Use PGC/EMUC and PGD/EMUD
 PGD equ              0xFFFF ; Use PGC/EMUC and PGD/EMUD
