;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Nintendo 64 RSP include file
;; Part of the naken_asm assembler
;;
;; Generated by: Michael Kohn (mike@mikekohn.net)
;;         From: RSP Programmer's Guide
;;         Date: 2020-Nov-08
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; RSP: Reality Signal Processor

;; Coprocesser registers $c0 to $c15:

RSP_CP0_DMA_CACHE            equ $0
RSP_CP0_DMA_DRAM             equ $1
RSP_CP0_DMA_DMA_READ_LENGTH  equ $2
RSP_CP0_DMA_DMA_WRITE_LENGTH equ $3
RSP_CP0_SP_STATUS            equ $4
RSP_CP0_DMA_FULL             equ $5
RSP_CP0_DMA_BUSY             equ $6
RSP_CP0_SP_RESERVED          equ $7
RSP_CP0_CMD_START            equ $8
RSP_CP0_CMD_END              equ $9
RSP_CP0_CMD_CURRENT          equ $10
RSP_CP0_CMD_STATUS           equ $11
RSP_CP0_CMD_CLOCK            equ $12
RSP_CP0_CMD_BUSY             equ $13
RSP_CP0_CMD_PIPE_BUSY        equ $14 
RSP_CP0_CMD_TMEM_BUSY        equ $15

;; RSP CPU view:
RSP_CPU_BASE_REG             equ 0x0404_0000

RSP_CPU_DMA_CACHE            equ 0x0000
RSP_CPU_DMA_DRAM_ADDRESS     equ 0x0004
RSP_CPU_DMA_READ_LENGTH      equ 0x0008
RSP_CPU_DMA_WRITE_LENGTH     equ 0x000c
RSP_CPU_STATUS               equ 0x0010
RSP_CPU_DMA_FULL             equ 0x0014
RSP_CPU_DMA_BUSY             equ 0x0018
RSP_CPU_SP_RESERVED          equ 0x001c

;; Other RSP addresses:

RSP_DMEM  equ 0x0400_0000
RSP_IMEM  equ 0x0400_1000
RSP_PC    equ 0x0408_0000
RSP_IBIST equ 0x0408_0008

