;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; RFM69 (RFM69W RFM69HCW wireless)
;; part of the naken_asm assembler
;;
;; Generated by: Michael Kohn (mike@mikekohn.net)
;;         Date: 2019-06-16
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

RFM69_FIFO           equ 0x00 ; FIFO read/write access
RFM69_OP_MODE        equ 0x01 ; Operating modes of the transceiver
RFM69_DATA_MODUL     equ 0x02 ; Data operation mode and Modulation settings
RFM69_BITRATE_MSB    equ 0x03 ; Bit Rate setting, Most Significant Bits
RFM69_BITRATE_LSB    equ 0x04 ; Bit Rate setting, Least Significant Bits
RFM69_FDEV_MSB       equ 0x05 ; Frequency Deviation setting, Most Significant Bits
RFM69_FDEV_LSB       equ 0x06 ; Frequency Deviation setting, Least Significant Bits
RFM69_FRF_MSB        equ 0x07 ; RF Carrier Frequency, Most Significant Bits
RFM69_FRF_MID        equ 0x08 ; RF Carrier Frequency, Intermediate Bits
RFM69_FRF_LSB        equ 0x09 ; RF Carrier Frequency, Least Significant Bits
RFM69_OSC1           equ 0x0a ; RC Oscillators Settings
RFM69_AFC_CTRL       equ 0x0b ; AFC control in low modulation index situations
RFM69_RESERVED0_C    equ 0x0c ; -
RFM69_LISTEN1        equ 0x0d ; Listen Mode settings
RFM69_LISTEN2        equ 0x0e ; Listen Mode Idle duration
RFM69_LISTEN3        equ 0x0f ; Listen Mode Rx duration
RFM69_VERSION        equ 0x10 ; Chip version.
RFM69_PA_LEVEL       equ 0x11 ; RegPaLevel 0x9F PA selection and Output Power control
RFM69_PA_RAMP        equ 0x12 ; Control of the PA ramp time in FSK mode
RFM69_OCP            equ 0x13 ; Over Current Protection control
RFM69_RESERVED14     equ 0x14 ; -
RFM69_RESERVED15     equ 0x15 ; -
RFM69_RESERVED16     equ 0x16 ; -
RFM69_RESERVED17     equ 0x17 ; -
RFM69_LNA            equ 0x18 ; LNA settings
RFM69_RX_BW          equ 0x19 ; Channel Filter BW Control
RFM69_AFC_BW         equ 0x1a ; Channel Filter BW control during the AFC routine
RFM69_OOK_PEAK       equ 0x1b ; OOK demodulator selection and control in peak mode
RFM69_OOK_AVG        equ 0x1c ; Average threshold control of the OOK demodulator
RFM69_OOK_FIX        equ 0x1d ; Fixed threshold control of the OOK demodulator
RFM69_AFC_FEI        equ 0x1e ; AFC and FEI control and status
RFM69_AFC_MSB        equ 0x1f ; MSB of the frequency correction of the AFC
RFM69_AFC_LSB        equ 0x20 ; LSB of the frequency correction of the AFC
RFM69_FEI_MSB        equ 0x21 ; MSB of the calculated frequency error
RFM69_FEI_LSB        equ 0x22 ; LSB of the calculated frequency error
RFM69_RSSI_CONFIG    equ 0x23 ; RSSI-related settings
RFM69_RSSI_VALUE     equ 0x24 ; RSSI value in dBm
RFM69_DIO_MAPPING1   equ 0x25 ; Mapping of pins DIO0 to DIO3
RFM69_DIO_MAPPING2   equ 0x26 ; Mapping of pins DIO4 and DIO5, ClkOut frequency
RFM69_IRQ_FLAGS1     equ 0x27 ; Status register: PLL Lock state, Timeout, RSSI > Threshold...
RFM69_IRQ_FLAGS2     equ 0x28 ; Status register: FIFO handling flags...
RFM69_RSSI_THRESH    equ 0x29 ; RegRxTimeout1 0x00 Timeout duration between Rx request and RSSI detection
RFM69_RX_TIMEOUT2    equ 0x2b ; Timeout duration between RSSI detection and PayloadReady
RFM69_PREAMBLE_MSB   equ 0x2c ; Preamble length, MSB
RFM69_PREAMBLE_LSB   equ 0x2d ; Preamble length, LSB
RFM69_SYNC_CONFIG    equ 0x2e ; Sync Word Recognition control
RFM69_SYNC_VALUE1    equ 0x2f ; Sync Word Byte 1
RFM69_SYNC_VALUE2    equ 0x30 ; Sync Word Byte 2
RFM69_SYNC_VALUE3    equ 0x31 ; Sync Word Byte 3
RFM69_SYNC_VALUE4    equ 0x32 ; Sync Word Byte 4
RFM69_SYNC_VALUE5    equ 0x33 ; Sync Word Byte 5
RFM69_SYNC_VALUE6    equ 0x34 ; Sync Word Byte 6
RFM69_SYNC_VALUE7    equ 0x35 ; Sync Word Byte 7
RFM69_SYNC_VALUE8    equ 0x36 ; Sync Word Byte 8
RFM69_PACKET_CONFIG1 equ 0x37 ; Packet mode setting
RFM69_PAYLOAD_LENGTH equ 0x38 ; Payload length setting
RFM69_NODE_ADRS      equ 0x39 ; Node address
RFM69_BROADCAST_ADRS equ 0x3a ; Broadcast address
RFM69_AUTO_MODES     equ 0x3b ; Auto modes settings
RFM69_FIFO_THRESH    equ 0x3c
RFM69_PACKET_CONFIG2 equ 0x3d
RFM69_AES_KEY1       equ 0x3e ; 16 bytes of the cypher key
RFM69_AES_KEY2       equ 0x3f ; 16 bytes of the cypher key
RFM69_AES_KEY3       equ 0x40 ; 16 bytes of the cypher key
RFM69_AES_KEY4       equ 0x41 ; 16 bytes of the cypher key
RFM69_AES_KEY5       equ 0x42 ; 16 bytes of the cypher key
RFM69_AES_KEY6       equ 0x43 ; 16 bytes of the cypher key
RFM69_AES_KEY7       equ 0x44 ; 16 bytes of the cypher key
RFM69_AES_KEY8       equ 0x45 ; 16 bytes of the cypher key
RFM69_AES_KEY9       equ 0x46 ; 16 bytes of the cypher key
RFM69_AES_KEY10      equ 0x47 ; 16 bytes of the cypher key
RFM69_AES_KEY11      equ 0x48 ; 16 bytes of the cypher key
RFM69_AES_KEY12      equ 0x49 ; 16 bytes of the cypher key
RFM69_AES_KEY13      equ 0x4a ; 16 bytes of the cypher key
RFM69_AES_KEY14      equ 0x4b ; 16 bytes of the cypher key
RFM69_AES_KEY15      equ 0x4c ; 16 bytes of the cypher key
RFM69_AES_KEY16      equ 0x4d ; 16 bytes of the cypher key
RFM69_TEMP1          equ 0x4e ; Temperature Sensor control
RFM69_TEMP2          equ 0x4f ; Temperature readout
RFM69_TEST_LNA       equ 0x58 ; Sensitivity boost
RFM69_TEST_PA1       equ 0x5a ; High Power PA settings
RFM69_TEST_PA2       equ 0x5c ; High Power PA settings
RFM69_TEST_DAGC      equ 0x6f ; RegTestAfc 0x00 0x50 + RegTest
RFM69_TEST           equ 0x71 ; AFC offset for low modulation index AFC

