;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; ESP32 registers
;; Part of the naken_asm assembler
;;
;; Generated by: Michael Kohn (mike@mikekohn.net)
;;               https://www.mikekohn.net/
;;         Date: 2019-Feb-12
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;; Base registers for APB
APB_BASE equ 0x06002400
APB_SARADC_CTRL_REG equ 0x210
APB_SARADC_CTRL2_REG equ 0x214
APB_SARADC_FSM_REG equ 0x218
APB_SARADC_SAR1_PATT_TAB1_REG equ 0x21c
APB_SARADC_SAR1_PATT_TAB2_REG equ 0x220
APB_SARADC_SAR1_PATT_TAB3_REG equ 0x224
APB_SARADC_SAR1_PATT_TAB4_REG equ 0x228
APB_SARADC_SAR2_PATT_TAB1_REG equ 0x22c
APB_SARADC_SAR2_PATT_TAB2_REG equ 0x230
APB_SARADC_SAR2_PATT_TAB3_REG equ 0x234
APB_SARADC_SAR2_PATT_TAB4_REG equ 0x238

;; Base registers for PRO
PRO_BASE equ 0x3ff00000
PRO_BOOT_REMAP_CTRL_REG equ 0x000
APP_BOOT_REMAP_CTRL_REG equ 0x004
PERI_CLK_EN_REG equ 0x01c
PERI_RST_EN_REG equ 0x020
APPCPU_CTRL_REG_A_REG equ 0x02c
APPCPU_CTRL_REG_B_REG equ 0x030
APPCPU_CTRL_REG_C_REG equ 0x034
APPCPU_CTRL_REG_D_REG equ 0x038
PRO_CACHE_CTRL_REG equ 0x040
APP_CACHE_CTRL_REG equ 0x058
CACHE_MUX_MODE_REG equ 0x07c
IMMU_PAGE_MODE_REG equ 0x080
DMMU_PAGE_MODE_REG equ 0x084
SRAM_PD_CTRL_REG_0_REG equ 0x098
SRAM_PD_CTRL_REG_1_REG equ 0x09c
AHB_MPU_TABLE_0_REG equ 0x0b4
AHB_MPU_TABLE_1_REG equ 0x0b8
PERIP_CLK_EN_REG equ 0x0c0
PERIP_RST_EN_REG equ 0x0c4
SLAVE_SPI_CONFIG_REG equ 0x0c8
WIFI_CLK_EN_REG equ 0x0cc
WIFI_RST_EN_REG equ 0x0d0
CPU_INTR_FROM_CPU_0_REG equ 0x0dc
CPU_INTR_FROM_CPU_1_REG equ 0x0e0
CPU_INTR_FROM_CPU_2_REG equ 0x0e4
CPU_INTR_FROM_CPU_3_REG equ 0x0e8
PRO_INTR_STATUS_REG_0_REG equ 0x0ec
PRO_INTR_STATUS_REG_1_REG equ 0x0f0
PRO_INTR_STATUS_REG_2_REG equ 0x0f4
APP_INTR_STATUS_REG_0_REG equ 0x0f8
APP_INTR_STATUS_REG_1_REG equ 0x0fc
APP_INTR_STATUS_REG_2_REG equ 0x100
PRO_MAC_INTR_MAP_REG equ 0x104
PRO_MAC_NMI_MAP_REG equ 0x108
PRO_BB_INT_MAP_REG equ 0x10c
PRO_BT_MAC_INT_MAP_REG equ 0x110
PRO_BT_BB_INT_MAP_REG equ 0x114
PRO_BT_BB_NMI_MAP_REG equ 0x118
PRO_RWBT_IRQ_MAP_REG equ 0x11c
PRO_RWBLE_IRQ_MAP_REG equ 0x120
PRO_RWBT_NMI_MAP_REG equ 0x124
PRO_RWBLE_NMI_MAP_REG equ 0x128
PRO_SLC0_INTR_MAP_REG equ 0x12c
PRO_SLC1_INTR_MAP_REG equ 0x130
PRO_UHCI0_INTR_MAP_REG equ 0x134
PRO_UHCI1_INTR_MAP_REG equ 0x138
PRO_TG_T0_LEVEL_INT_MAP_REG equ 0x13c
PRO_TG_T1_LEVEL_INT_MAP_REG equ 0x140
PRO_TG_WDT_LEVEL_INT_MAP_REG equ 0x144
PRO_TG_LACT_LEVEL_INT_MAP_REG equ 0x148
PRO_TG1_T0_LEVEL_INT_MAP_REG equ 0x14c
PRO_TG1_T1_LEVEL_INT_MAP_REG equ 0x150
PRO_TG1_WDT_LEVEL_INT_MAP_REG equ 0x154
PRO_TG1_LACT_LEVEL_INT_MAP_REG equ 0x158
PRO_GPIO_INTERRUPT_MAP_REG equ 0x15c
PRO_GPIO_INTERRUPT_NMI_MAP_REG equ 0x160
PRO_CPU_INTR_FROM_CPU_0_MAP_REG equ 0x164
PRO_CPU_INTR_FROM_CPU_1_MAP_REG equ 0x168
PRO_CPU_INTR_FROM_CPU_2_MAP_REG equ 0x16c
PRO_CPU_INTR_FROM_CPU_3_MAP_REG equ 0x170
PRO_SPI_INTR_0_MAP_REG equ 0x174
PRO_SPI_INTR_1_MAP_REG equ 0x178
PRO_SPI_INTR_2_MAP_REG equ 0x17c
PRO_SPI_INTR_3_MAP_REG equ 0x180
PRO_I2S0_INT_MAP_REG equ 0x184
PRO_I2S1_INT_MAP_REG equ 0x188
PRO_UART_INTR_MAP_REG equ 0x18c
PRO_UART1_INTR_MAP_REG equ 0x190
PRO_UART2_INTR_MAP_REG equ 0x194
PRO_SDIO_HOST_INTERRUPT_MAP_REG equ 0x198
PRO_EMAC_INT_MAP_REG equ 0x19c
PRO_PWM0_INTR_MAP_REG equ 0x1a0
PRO_PWM1_INTR_MAP_REG equ 0x1a4
PRO_PWM2_INTR_MAP_REG equ 0x1a8
PRO_PWM3_INTR_MAP_REG equ 0x1ac
PRO_LEDC_INT_MAP_REG equ 0x1b0
PRO_EFUSE_INT_MAP_REG equ 0x1b4
PRO_CAN_INT_MAP_REG equ 0x1b8
PRO_RTC_CORE_INTR_MAP_REG equ 0x1bc
PRO_RMT_INTR_MAP_REG equ 0x1c0
PRO_PCNT_INTR_MAP_REG equ 0x1c4
PRO_I2C_EXT0_INTR_MAP_REG equ 0x1c8
PRO_I2C_EXT1_INTR_MAP_REG equ 0x1cc
PRO_RSA_INTR_MAP_REG equ 0x1d0
PRO_SPI1_DMA_INT_MAP_REG equ 0x1d4
PRO_SPI2_DMA_INT_MAP_REG equ 0x1d8
PRO_SPI3_DMA_INT_MAP_REG equ 0x1dc
PRO_WDG_INT_MAP_REG equ 0x1e0
PRO_TIMER_INT1_MAP_REG equ 0x1e4
PRO_TIMER_INT2_MAP_REG equ 0x1e8
PRO_TG_T0_EDGE_INT_MAP_REG equ 0x1ec
PRO_TG_T1_EDGE_INT_MAP_REG equ 0x1f0
PRO_TG_WDT_EDGE_INT_MAP_REG equ 0x1f4
PRO_TG_LACT_EDGE_INT_MAP_REG equ 0x1f8
PRO_TG1_T0_EDGE_INT_MAP_REG equ 0x1fc
PRO_TG1_T1_EDGE_INT_MAP_REG equ 0x200
PRO_TG1_WDT_EDGE_INT_MAP_REG equ 0x204
PRO_TG1_LACT_EDGE_INT_MAP_REG equ 0x208
PRO_MMU_IA_INT_MAP_REG equ 0x20c
PRO_MPU_IA_INT_MAP_REG equ 0x210
PRO_CACHE_IA_INT_MAP_REG equ 0x214
APP_MAC_INTR_MAP_REG equ 0x218
APP_MAC_NMI_MAP_REG equ 0x21c
APP_BB_INT_MAP_REG equ 0x220
APP_BT_MAC_INT_MAP_REG equ 0x224
APP_BT_BB_INT_MAP_REG equ 0x228
APP_BT_BB_NMI_MAP_REG equ 0x22c
APP_RWBT_IRQ_MAP_REG equ 0x230
APP_RWBLE_IRQ_MAP_REG equ 0x234
APP_RWBT_NMI_MAP_REG equ 0x238
APP_RWBLE_NMI_MAP_REG equ 0x23c
APP_SLC0_INTR_MAP_REG equ 0x240
APP_SLC1_INTR_MAP_REG equ 0x244
APP_UHCI0_INTR_MAP_REG equ 0x248
APP_UHCI1_INTR_MAP_REG equ 0x24c
APP_TG_T0_LEVEL_INT_MAP_REG equ 0x250
APP_TG_T1_LEVEL_INT_MAP_REG equ 0x254
APP_TG_WDT_LEVEL_INT_MAP_REG equ 0x258
APP_TG_LACT_LEVEL_INT_MAP_REG equ 0x25c
APP_TG1_T0_LEVEL_INT_MAP_REG equ 0x260
APP_TG1_T1_LEVEL_INT_MAP_REG equ 0x264
APP_TG1_WDT_LEVEL_INT_MAP_REG equ 0x268
APP_TG1_LACT_LEVEL_INT_MAP_REG equ 0x26c
APP_GPIO_INTERRUPT_MAP_REG equ 0x270
APP_GPIO_INTERRUPT_NMI_MAP_REG equ 0x274
APP_CPU_INTR_FROM_CPU_0_MAP_REG equ 0x278
APP_CPU_INTR_FROM_CPU_1_MAP_REG equ 0x27c
APP_CPU_INTR_FROM_CPU_2_MAP_REG equ 0x280
APP_CPU_INTR_FROM_CPU_3_MAP_REG equ 0x284
APP_SPI_INTR_0_MAP_REG equ 0x288
APP_SPI_INTR_1_MAP_REG equ 0x28c
APP_SPI_INTR_2_MAP_REG equ 0x290
APP_SPI_INTR_3_MAP_REG equ 0x294
APP_I2S0_INT_MAP_REG equ 0x298
APP_I2S1_INT_MAP_REG equ 0x29c
APP_UART_INTR_MAP_REG equ 0x2a0
APP_UART1_INTR_MAP_REG equ 0x2a4
APP_UART2_INTR_MAP_REG equ 0x2a8
APP_SDIO_HOST_INTERRUPT_MAP_REG equ 0x2ac
APP_EMAC_INT_MAP_REG equ 0x2b0
APP_PWM0_INTR_MAP_REG equ 0x2b4
APP_PWM1_INTR_MAP_REG equ 0x2b8
APP_PWM2_INTR_MAP_REG equ 0x2bc
APP_PWM3_INTR_MAP_REG equ 0x2c0
APP_LEDC_INT_MAP_REG equ 0x2c4
APP_EFUSE_INT_MAP_REG equ 0x2c8
APP_CAN_INT_MAP_REG equ 0x2cc
APP_RTC_CORE_INTR_MAP_REG equ 0x2d0
APP_RMT_INTR_MAP_REG equ 0x2d4
APP_PCNT_INTR_MAP_REG equ 0x2d8
APP_I2C_EXT0_INTR_MAP_REG equ 0x2dc
APP_I2C_EXT1_INTR_MAP_REG equ 0x2e0
APP_RSA_INTR_MAP_REG equ 0x2e4
APP_SPI1_DMA_INT_MAP_REG equ 0x2e8
APP_SPI2_DMA_INT_MAP_REG equ 0x2ec
APP_SPI3_DMA_INT_MAP_REG equ 0x2f0
APP_WDG_INT_MAP_REG equ 0x2f4
APP_TIMER_INT1_MAP_REG equ 0x2f8
APP_TIMER_INT2_MAP_REG equ 0x2fc
APP_TG_T0_EDGE_INT_MAP_REG equ 0x300
APP_TG_T1_EDGE_INT_MAP_REG equ 0x304
APP_TG_WDT_EDGE_INT_MAP_REG equ 0x308
APP_TG_LACT_EDGE_INT_MAP_REG equ 0x30c
APP_TG1_T0_EDGE_INT_MAP_REG equ 0x310
APP_TG1_T1_EDGE_INT_MAP_REG equ 0x314
APP_TG1_WDT_EDGE_INT_MAP_REG equ 0x318
APP_TG1_LACT_EDGE_INT_MAP_REG equ 0x31c
APP_MMU_IA_INT_MAP_REG equ 0x320
APP_MPU_IA_INT_MAP_REG equ 0x324
APP_CACHE_IA_INT_MAP_REG equ 0x328
AHBLITE_MPU_TABLE_UART_REG equ 0x32c
AHBLITE_MPU_TABLE_SPI1_REG equ 0x330
AHBLITE_MPU_TABLE_SPI0_REG equ 0x334
AHBLITE_MPU_TABLE_GPIO_REG equ 0x338
AHBLITE_MPU_TABLE_RTC_REG equ 0x348
AHBLITE_MPU_TABLE_IO_MUX_REG equ 0x34c
AHBLITE_MPU_TABLE_HINF_REG equ 0x354
AHBLITE_MPU_TABLE_UHCI1_REG equ 0x358
AHBLITE_MPU_TABLE_I2S0_REG equ 0x364
AHBLITE_MPU_TABLE_UART1_REG equ 0x368
AHBLITE_MPU_TABLE_I2C_EXT0_REG equ 0x374
AHBLITE_MPU_TABLE_UHCI0_REG equ 0x378
AHBLITE_MPU_TABLE_SLCHOST_REG equ 0x37c
AHBLITE_MPU_TABLE_RMT_REG equ 0x380
AHBLITE_MPU_TABLE_PCNT_REG equ 0x384
AHBLITE_MPU_TABLE_SLC_REG equ 0x388
AHBLITE_MPU_TABLE_LEDC_REG equ 0x38c
AHBLITE_MPU_TABLE_EFUSE_REG equ 0x390
AHBLITE_MPU_TABLE_SPI_ENCRYPT_REG equ 0x394
AHBLITE_MPU_TABLE_PWM0_REG equ 0x39c
AHBLITE_MPU_TABLE_TIMERGROUP_REG equ 0x3a0
AHBLITE_MPU_TABLE_TIMERGROUP1_REG equ 0x3a4
AHBLITE_MPU_TABLE_SPI2_REG equ 0x3a8
AHBLITE_MPU_TABLE_SPI3_REG equ 0x3ac
AHBLITE_MPU_TABLE_APB_CTRL_REG equ 0x3b0
AHBLITE_MPU_TABLE_I2C_EXT1_REG equ 0x3b4
AHBLITE_MPU_TABLE_SDIO_HOST_REG equ 0x3b8
AHBLITE_MPU_TABLE_EMAC_REG equ 0x3bc
AHBLITE_MPU_TABLE_PWM1_REG equ 0x3c4
AHBLITE_MPU_TABLE_I2S1_REG equ 0x3c8
AHBLITE_MPU_TABLE_UART2_REG equ 0x3cc
AHBLITE_MPU_TABLE_PWM2_REG equ 0x3d0
AHBLITE_MPU_TABLE_PWM3_REG equ 0x3d4
AHBLITE_MPU_TABLE_PWR_REG equ 0x3e4

;; Base registers for IMMU
IMMU_BASE equ 0x3ff00400
IMMU_TABLE0_REG equ 0x104
IMMU_TABLE1_REG equ 0x108
IMMU_TABLE2_REG equ 0x10c
IMMU_TABLE3_REG equ 0x110
IMMU_TABLE4_REG equ 0x114
IMMU_TABLE5_REG equ 0x118
IMMU_TABLE6_REG equ 0x11c
IMMU_TABLE7_REG equ 0x120
IMMU_TABLE8_REG equ 0x124
IMMU_TABLE9_REG equ 0x128
IMMU_TABLE10_REG equ 0x12c
IMMU_TABLE11_REG equ 0x130
IMMU_TABLE12_REG equ 0x134
IMMU_TABLE13_REG equ 0x138
IMMU_TABLE14_REG equ 0x13c
IMMU_TABLE15_REG equ 0x140
DMMU_TABLE0_REG equ 0x144
DMMU_TABLE1_REG equ 0x148
DMMU_TABLE2_REG equ 0x14c
DMMU_TABLE3_REG equ 0x150
DMMU_TABLE4_REG equ 0x154
DMMU_TABLE5_REG equ 0x158
DMMU_TABLE6_REG equ 0x15c
DMMU_TABLE7_REG equ 0x160
DMMU_TABLE8_REG equ 0x164
DMMU_TABLE9_REG equ 0x168
DMMU_TABLE10_REG equ 0x16c
DMMU_TABLE11_REG equ 0x170
DMMU_TABLE12_REG equ 0x174
DMMU_TABLE13_REG equ 0x178
DMMU_TABLE14_REG equ 0x17c
DMMU_TABLE15_REG equ 0x180
SECURE_BOOT_CTRL_REG equ 0x1a4
SPI_DMA_CHAN_SEL_REG equ 0x1a8

;; Base registers for AES
AES_BASE equ 0x3ff01000
AES_START_REG equ 0x000
AES_IDLE_REG equ 0x004
AES_MODE_REG equ 0x008
AES_KEY_0_REG equ 0x010
AES_KEY_1_REG equ 0x014
AES_KEY_2_REG equ 0x018
AES_KEY_3_REG equ 0x01c
AES_KEY_4_REG equ 0x020
AES_KEY_5_REG equ 0x024
AES_KEY_6_REG equ 0x028
AES_KEY_7_REG equ 0x02c
AES_TEXT_0_REG equ 0x030
AES_TEXT_1_REG equ 0x034
AES_TEXT_2_REG equ 0x038
AES_TEXT_3_REG equ 0x03c
AES_ENDIAN_REG equ 0x040

;; Base registers for RSA
RSA_BASE equ 0x3ff02800
RSA_M_PRIME_REG equ 0x000
RSA_MODEXP_MODE_REG equ 0x004
RSA_MODEXP_START_REG equ 0x008
RSA_MULT_MODE_REG equ 0x00c
RSA_MULT_START_REG equ 0x010
RSA_INTERRUPT_REG equ 0x014
RSA_CLEAN_REG equ 0x018

;; Base registers for SHA
SHA_BASE equ 0x3ff03000
SHA_TEXT_0_REG equ 0x000
SHA_TEXT_1_REG equ 0x004
SHA_TEXT_2_REG equ 0x008
SHA_TEXT_3_REG equ 0x00c
SHA_TEXT_4_REG equ 0x010
SHA_TEXT_5_REG equ 0x014
SHA_TEXT_6_REG equ 0x018
SHA_TEXT_7_REG equ 0x01c
SHA_TEXT_8_REG equ 0x020
SHA_TEXT_9_REG equ 0x024
SHA_TEXT_10_REG equ 0x028
SHA_TEXT_11_REG equ 0x02c
SHA_TEXT_12_REG equ 0x030
SHA_TEXT_13_REG equ 0x034
SHA_TEXT_14_REG equ 0x038
SHA_TEXT_15_REG equ 0x03c
SHA_TEXT_16_REG equ 0x040
SHA_TEXT_17_REG equ 0x044
SHA_TEXT_18_REG equ 0x048
SHA_TEXT_19_REG equ 0x04c
SHA_TEXT_20_REG equ 0x050
SHA_TEXT_21_REG equ 0x054
SHA_TEXT_22_REG equ 0x058
SHA_TEXT_23_REG equ 0x05c
SHA_TEXT_24_REG equ 0x060
SHA_TEXT_25_REG equ 0x064
SHA_TEXT_26_REG equ 0x068
SHA_TEXT_27_REG equ 0x06c
SHA_TEXT_28_REG equ 0x070
SHA_TEXT_29_REG equ 0x074
SHA_TEXT_30_REG equ 0x078
SHA_TEXT_31_REG equ 0x07c
SHA_SHA1_START_REG equ 0x080
SHA_SHA1_CONTINUE_REG equ 0x084
SHA_SHA1_LOAD_REG equ 0x088
SHA_SHA1_BUSY_REG equ 0x08c
SHA_SHA256_START_REG equ 0x090
SHA_SHA256_CONTINUE_REG equ 0x094
SHA_SHA256_LOAD_REG equ 0x098
SHA_SHA256_BUSY_REG equ 0x09c
SHA_SHA384_START_REG equ 0x0a0
SHA_SHA384_CONTINUE_REG equ 0x0a4
SHA_SHA384_LOAD_REG equ 0x0a8
SHA_SHA384_BUSY_REG equ 0x0ac
SHA_SHA512_START_REG equ 0x0b0
SHA_SHA512_CONTINUE_REG equ 0x0b4
SHA_SHA512_LOAD_REG equ 0x0b8
SHA_SHA512_BUSY_REG equ 0x0bc

;; Base registers for GPIO
GPIO_BASE equ 0x3ff44000
GPIO_OUT_REG equ 0x004
GPIO_OUT_W1TS_REG equ 0x008
GPIO_OUT_W1TC_REG equ 0x00c
GPIO_OUT1_REG equ 0x010
GPIO_OUT1_W1TS_REG equ 0x014
GPIO_OUT1_W1TC_REG equ 0x018
GPIO_ENABLE_REG equ 0x020
GPIO_ENABLE_W1TS_REG equ 0x024
GPIO_ENABLE_W1TC_REG equ 0x028
GPIO_ENABLE1_REG equ 0x02c
GPIO_ENABLE1_W1TS_REG equ 0x030
GPIO_ENABLE1_W1TC_REG equ 0x034
GPIO_STRAP_REG equ 0x038
GPIO_IN_REG equ 0x03c
GPIO_IN1_REG equ 0x040
GPIO_STATUS_REG equ 0x044
GPIO_STATUS_W1TS_REG equ 0x048
GPIO_STATUS_W1TC_REG equ 0x04c
GPIO_STATUS1_REG equ 0x050
GPIO_STATUS1_W1TS_REG equ 0x054
GPIO_STATUS1_W1TC_REG equ 0x058
GPIO_ACPU_INT_REG equ 0x060
GPIO_ACPU_NMI_INT_REG equ 0x064
GPIO_PCPU_INT_REG equ 0x068
GPIO_PCPU_NMI_INT_REG equ 0x06c
GPIO_ACPU_INT1_REG equ 0x074
GPIO_ACPU_NMI_INT1_REG equ 0x078
GPIO_PCPU_INT1_REG equ 0x07c
GPIO_PCPU_NMI_INT1_REG equ 0x080
GPIO_PIN0_REG equ 0x088
GPIO_PIN1_REG equ 0x08c
GPIO_PIN2_REG equ 0x090
GPIO_PIN38_REG equ 0x120
GPIO_PIN39_REG equ 0x124
GPIO_FUNC0_IN_SEL_CFG_REG equ 0x130
GPIO_FUNC1_IN_SEL_CFG_REG equ 0x134
GPIO_FUNC254_IN_SEL_CFG_REG equ 0x528
GPIO_FUNC255_IN_SEL_CFG_REG equ 0x52c
GPIO_FUNC0_OUT_SEL_CFG_REG equ 0x530
GPIO_FUNC1_OUT_SEL_CFG_REG equ 0x534
GPIO_FUNC2_OUT_SEL_CFG_REG equ 0x538
GPIO_FUNC3_OUT_SEL_CFG_REG equ 0x53c
GPIO_FUNC4_OUT_SEL_CFG_REG equ 0x540
GPIO_FUNC5_OUT_SEL_CFG_REG equ 0x544
GPIO_FUNC38_OUT_SEL_CFG_REG equ 0x5c8
GPIO_FUNC39_OUT_SEL_CFG_REG equ 0x5cc

;; Base registers for RTC_CNTL
RTC_CNTL_BASE equ 0x3ff48000
RTC_CNTL_OPTIONS0_REG equ 0x000
RTC_CNTL_SLP_TIMER0_REG equ 0x004
RTC_CNTL_SLP_TIMER1_REG equ 0x008
RTC_CNTL_TIME_UPDATE_REG equ 0x00c
RTC_CNTL_TIME0_REG equ 0x010
RTC_CNTL_TIME1_REG equ 0x014
RTC_CNTL_STATE0_REG equ 0x018
RTC_CNTL_TIMER1_REG equ 0x01c
RTC_CNTL_TIMER2_REG equ 0x020
RTC_CNTL_TIMER5_REG equ 0x02c
RTC_CNTL_ANA_CONF_REG equ 0x030
RTC_CNTL_RESET_STATE_REG equ 0x034
RTC_CNTL_WAKEUP_STATE_REG equ 0x038
RTC_CNTL_INT_ENA_REG equ 0x03c
RTC_CNTL_INT_RAW_REG equ 0x040
RTC_CNTL_INT_ST_REG equ 0x044
RTC_CNTL_INT_CLR_REG equ 0x048
RTC_CNTL_STORE0_REG equ 0x04c
RTC_CNTL_STORE1_REG equ 0x050
RTC_CNTL_STORE2_REG equ 0x054
RTC_CNTL_STORE3_REG equ 0x058
RTC_CNTL_EXT_XTL_CONF_REG equ 0x05c
RTC_CNTL_EXT_WAKEUP_CONF_REG equ 0x060
RTC_CNTL_SLP_REJECT_CONF_REG equ 0x064
RTC_CNTL_CPU_PERIOD_CONF_REG equ 0x068
RTC_CNTL_CLK_CONF_REG equ 0x070
RTC_CNTL_SDIO_CONF_REG equ 0x074
RTC_CNTL_VREG_REG equ 0x07c
RTC_CNTL_PWC_REG equ 0x080
RTC_CNTL_DIG_PWC_REG equ 0x084
RTC_CNTL_DIG_ISO_REG equ 0x088
RTC_CNTL_WDTCONFIG0_REG equ 0x08c
RTC_CNTL_WDTCONFIG1_REG equ 0x090
RTC_CNTL_WDTCONFIG2_REG equ 0x094
RTC_CNTL_WDTCONFIG3_REG equ 0x098
RTC_CNTL_WDTCONFIG4_REG equ 0x09c
RTC_CNTL_WDTFEED_REG equ 0x0a0
RTC_CNTL_WDTWPROTECT_REG equ 0x0a4
RTC_CNTL_SW_CPU_STALL_REG equ 0x0ac
RTC_CNTL_STORE4_REG equ 0x0b0
RTC_CNTL_STORE5_REG equ 0x0b4
RTC_CNTL_STORE6_REG equ 0x0b8
RTC_CNTL_STORE7_REG equ 0x0bc
RTC_CNTL_HOLD_FORCE_REG equ 0x0c8
RTC_CNTL_EXT_WAKEUP1_REG equ 0x0cc
RTC_CNTL_EXT_WAKEUP1_STATUS_REG equ 0x0d0
RTC_CNTL_BROWN_OUT_REG equ 0x0d4

;; Base registers for RTCIO
RTCIO_BASE equ 0x3ff48400
RTCIO_RTC_GPIO_OUT_REG equ 0x000
RTCIO_RTC_GPIO_OUT_W1TS_REG equ 0x004
RTCIO_RTC_GPIO_OUT_W1TC_REG equ 0x008
RTCIO_RTC_GPIO_ENABLE_REG equ 0x00c
RTCIO_RTC_GPIO_ENABLE_W1TS_REG equ 0x010
RTCIO_RTC_GPIO_ENABLE_W1TC_REG equ 0x014
RTCIO_RTC_GPIO_STATUS_REG equ 0x018
RTCIO_RTC_GPIO_STATUS_W1TS_REG equ 0x01c
RTCIO_RTC_GPIO_STATUS_W1TC_REG equ 0x020
RTCIO_RTC_GPIO_IN_REG equ 0x024
RTCIO_RTC_GPIO_PIN0_REG equ 0x028
RTCIO_RTC_GPIO_PIN1_REG equ 0x02c
RTCIO_RTC_GPIO_PIN2_REG equ 0x030
RTCIO_RTC_GPIO_PIN3_REG equ 0x034
RTCIO_RTC_GPIO_PIN4_REG equ 0x038
RTCIO_RTC_GPIO_PIN5_REG equ 0x03c
RTCIO_RTC_GPIO_PIN6_REG equ 0x040
RTCIO_RTC_GPIO_PIN7_REG equ 0x044
RTCIO_RTC_GPIO_PIN8_REG equ 0x048
RTCIO_RTC_GPIO_PIN9_REG equ 0x04c
RTCIO_RTC_GPIO_PIN10_REG equ 0x050
RTCIO_RTC_GPIO_PIN11_REG equ 0x054
RTCIO_RTC_GPIO_PIN12_REG equ 0x058
RTCIO_RTC_GPIO_PIN13_REG equ 0x05c
RTCIO_RTC_GPIO_PIN14_REG equ 0x060
RTCIO_RTC_GPIO_PIN15_REG equ 0x064
RTCIO_RTC_GPIO_PIN16_REG equ 0x068
RTCIO_RTC_GPIO_PIN17_REG equ 0x06c
RTCIO_DIG_PAD_HOLD_REG equ 0x074
RTCIO_HALL_SENS_REG equ 0x078
RTCIO_SENSOR_PADS_REG equ 0x07c
RTCIO_ADC_PAD_REG equ 0x080
RTCIO_PAD_DAC1_REG equ 0x084
RTCIO_PAD_DAC2_REG equ 0x088
RTCIO_XTAL_32K_PAD_REG equ 0x08c
RTCIO_TOUCH_CFG_REG equ 0x090
RTCIO_TOUCH_PAD0_REG equ 0x094
RTCIO_TOUCH_PAD9_REG equ 0x0b8
RTCIO_EXT_WAKEUP0_REG equ 0x0bc
RTCIO_XTL_EXT_CTR_REG equ 0x0c0
RTCIO_SAR_I2C_IO_REG equ 0x0c4

;; Base registers for SENS
SENS_BASE equ 0x3ff48800
SENS_SAR_READ_CTRL_REG equ 0x000
SENS_ULP_CP_SLEEP_CYC0_REG equ 0x018
SENS_ULP_CP_SLEEP_CYC1_REG equ 0x01c
SENS_ULP_CP_SLEEP_CYC2_REG equ 0x020
SENS_ULP_CP_SLEEP_CYC3_REG equ 0x024
SENS_ULP_CP_SLEEP_CYC4_REG equ 0x028
SENS_SAR_START_FORCE_REG equ 0x02c
SENS_SAR_ATTEN1_REG equ 0x034
SENS_SAR_ATTEN2_REG equ 0x038
SENS_SAR_SLAVE_ADDR1_REG equ 0x03c
SENS_SAR_SLAVE_ADDR2_REG equ 0x040
SENS_SAR_SLAVE_ADDR3_REG equ 0x044
SENS_SAR_SLAVE_ADDR4_REG equ 0x048
SENS_SAR_I2C_CTRL_REG equ 0x050
SENS_SAR_MEAS_START1_REG equ 0x054
SENS_SAR_TOUCH_CTRL1_REG equ 0x058
SENS_SAR_TOUCH_THRES1_REG equ 0x05c
SENS_SAR_TOUCH_THRES2_REG equ 0x060
SENS_SAR_TOUCH_THRES3_REG equ 0x064
SENS_SAR_TOUCH_THRES4_REG equ 0x068
SENS_SAR_TOUCH_THRES5_REG equ 0x06c
SENS_SAR_TOUCH_OUT1_REG equ 0x070
SENS_SAR_TOUCH_OUT2_REG equ 0x074
SENS_SAR_TOUCH_OUT3_REG equ 0x078
SENS_SAR_TOUCH_OUT4_REG equ 0x07c
SENS_SAR_TOUCH_OUT5_REG equ 0x080
SENS_SAR_TOUCH_CTRL2_REG equ 0x084
SENS_SAR_TOUCH_ENABLE_REG equ 0x08c
SENS_SAR_READ_CTRL2_REG equ 0x090
SENS_SAR_MEAS_START2_REG equ 0x094
SENS_SAR_DAC_CTRL1_REG equ 0x098
SENS_SAR_DAC_CTRL2_REG equ 0x09c

;; Base registers for RTC_I2C
RTC_I2C_BASE equ 0x3ff48c00
RTC_I2C_SCL_LOW_PERIOD_REG equ 0x000
RTC_I2C_CTRL_REG equ 0x004
RTC_I2C_DEBUG_STATUS_REG equ 0x008
RTC_I2C_TIMEOUT_REG equ 0x00c
RTC_I2C_SLAVE_ADDR_REG equ 0x010
RTC_I2C_INT_CLR_REG equ 0x024
RTC_I2C_INT_EN_REG equ 0x028
RTC_I2C_INT_ST_REG equ 0x02c
RTC_I2C_SDA_DUTY_REG equ 0x030
RTC_I2C_SCL_HIGH_PERIOD_REG equ 0x038
RTC_I2C_SCL_START_PERIOD_REG equ 0x040
RTC_I2C_SCL_STOP_PERIOD_REG equ 0x044

;; Base registers for IO
IO_BASE equ 0x3ff49000
IO_MUX_PIN_CTRL equ 0x000
IO_MUX_GPIO36_REG equ 0x004
IO_MUX_GPIO37_REG equ 0x008
IO_MUX_GPIO38_REG equ 0x00c
IO_MUX_GPIO39_REG equ 0x010
IO_MUX_GPIO34_REG equ 0x014
IO_MUX_GPIO35_REG equ 0x018
IO_MUX_GPIO32_REG equ 0x01c
IO_MUX_GPIO33_REG equ 0x020
IO_MUX_GPIO25_REG equ 0x024
IO_MUX_GPIO26_REG equ 0x028
IO_MUX_GPIO27_REG equ 0x02c
IO_MUX_MTMS_REG equ 0x030
IO_MUX_MTDI_REG equ 0x034
IO_MUX_MTCK_REG equ 0x038
IO_MUX_MTDO_REG equ 0x03c
IO_MUX_GPIO2_REG equ 0x040
IO_MUX_GPIO0_REG equ 0x044
IO_MUX_GPIO4_REG equ 0x048
IO_MUX_GPIO16_REG equ 0x04c
IO_MUX_GPIO17_REG equ 0x050
IO_MUX_SD_DATA2_REG equ 0x054
IO_MUX_SD_DATA3_REG equ 0x058
IO_MUX_SD_CMD_REG equ 0x05c
IO_MUX_SD_CLK_REG equ 0x060
IO_MUX_SD_DATA0_REG equ 0x064
IO_MUX_SD_DATA1_REG equ 0x068
IO_MUX_GPIO5_REG equ 0x06c
IO_MUX_GPIO18_REG equ 0x070
IO_MUX_GPIO19_REG equ 0x074
IO_MUX_GPIO20_REG equ 0x078
IO_MUX_GPIO21_REG equ 0x07c
IO_MUX_GPIO22_REG equ 0x080
IO_MUX_U0RXD_REG equ 0x084
IO_MUX_U0TXD_REG equ 0x088
IO_MUX_GPIO23_REG equ 0x08c
IO_MUX_GPIO24_REG equ 0x090

;; Base registers for HINF
HINF_BASE equ 0x3ff4b000
HINF_CFG_DATA1_REG equ 0x004

;; Base registers for SLC0HOST
SLC0HOST_BASE equ 0x3ff55000
SLC0HOST_INT_RAW_REG equ 0x000
SLC0HOST_TOKEN_RDATA equ 0x044
SLC0HOST_INT_ST_REG equ 0x058
SLCHOST_PKT_LEN_REG equ 0x060
SLCHOST_CONF_W0_REG equ 0x06c
SLCHOST_CONF_W1_REG equ 0x070
SLCHOST_CONF_W2_REG equ 0x074
SLCHOST_CONF_W3_REG equ 0x078
SLCHOST_CONF_W4_REG equ 0x07c
SLCHOST_CONF_W6_REG equ 0x088
SLCHOST_CONF_W7_REG equ 0x08c
SLCHOST_CONF_W8_REG equ 0x09c
SLCHOST_CONF_W9_REG equ 0x0a0
SLCHOST_CONF_W10_REG equ 0x0a4
SLCHOST_CONF_W11_REG equ 0x0a8
SLCHOST_CONF_W12_REG equ 0x0ac
SLCHOST_CONF_W13_REG equ 0x0b0
SLCHOST_CONF_W14_REG equ 0x0b4
SLCHOST_CONF_W15_REG equ 0x0b8
SLC0HOST_INT_CLR_REG equ 0x0d4
SLC0HOST_FUNC1_INT_ENA_REG equ 0x0dc
SLCHOST_CONF_REG equ 0x1f0

;; Base registers for RMT
RMT_BASE equ 0x3ff56000
RMT_CH0CONF0_REG equ 0x020
RMT_CH0CONF1_REG equ 0x024
RMT_CH1CONF0_REG equ 0x028
RMT_CH1CONF1_REG equ 0x02c
RMT_CH2CONF0_REG equ 0x030
RMT_CH2CONF1_REG equ 0x034
RMT_CH3CONF0_REG equ 0x038
RMT_CH3CONF1_REG equ 0x03c
RMT_CH4CONF0_REG equ 0x040
RMT_CH4CONF1_REG equ 0x044
RMT_CH5CONF0_REG equ 0x048
RMT_CH5CONF1_REG equ 0x04c
RMT_CH6CONF0_REG equ 0x050
RMT_CH6CONF1_REG equ 0x054
RMT_CH7CONF0_REG equ 0x058
RMT_CH7CONF1_REG equ 0x05c
RMT_INT_RAW_REG equ 0x0a0
RMT_INT_ST_REG equ 0x0a4
RMT_INT_ENA_REG equ 0x0a8
RMT_INT_CLR_REG equ 0x0ac
RMT_CH0CARRIER_DUTY_REG equ 0x0b0
RMT_CH1CARRIER_DUTY_REG equ 0x0b4
RMT_CH2CARRIER_DUTY_REG equ 0x0b8
RMT_CH3CARRIER_DUTY_REG equ 0x0bc
RMT_CH4CARRIER_DUTY_REG equ 0x0c0
RMT_CH5CARRIER_DUTY_REG equ 0x0c4
RMT_CH6CARRIER_DUTY_REG equ 0x0c8
RMT_CH7CARRIER_DUTY_REG equ 0x0cc
RMT_CH0_TX_LIM_REG equ 0x0d0
RMT_CH1_TX_LIM_REG equ 0x0d4
RMT_CH2_TX_LIM_REG equ 0x0d8
RMT_CH3_TX_LIM_REG equ 0x0dc
RMT_CH4_TX_LIM_REG equ 0x0e0
RMT_CH5_TX_LIM_REG equ 0x0e4
RMT_CH6_TX_LIM_REG equ 0x0e8
RMT_CH7_TX_LIM_REG equ 0x0ec
RMT_APB_CONF_REG equ 0x0f0

;; Base registers for PCNT
PCNT_BASE equ 0x3ff57000
PCNT_U0_CONF0_REG equ 0x000
PCNT_U0_CONF1_REG equ 0x004
PCNT_U0_CONF2_REG equ 0x008
PCNT_U1_CONF0_REG equ 0x00c
PCNT_U1_CONF1_REG equ 0x010
PCNT_U1_CONF2_REG equ 0x014
PCNT_U2_CONF0_REG equ 0x018
PCNT_U2_CONF1_REG equ 0x01c
PCNT_U2_CONF2_REG equ 0x020
PCNT_U3_CONF0_REG equ 0x024
PCNT_U3_CONF1_REG equ 0x028
PCNT_U3_CONF2_REG equ 0x02c
PCNT_U4_CONF0_REG equ 0x030
PCNT_U4_CONF1_REG equ 0x034
PCNT_U4_CONF2_REG equ 0x038
PCNT_U5_CONF0_REG equ 0x03c
PCNT_U5_CONF1_REG equ 0x040
PCNT_U5_CONF2_REG equ 0x044
PCNT_U6_CONF0_REG equ 0x048
PCNT_U6_CONF1_REG equ 0x04c
PCNT_U6_CONF2_REG equ 0x050
PCNT_U7_CONF0_REG equ 0x054
PCNT_U7_CONF1_REG equ 0x058
PCNT_U7_CONF2_REG equ 0x05c
PCNT_U0_CNT_REG equ 0x060
PCNT_U1_CNT_REG equ 0x064
PCNT_U2_CNT_REG equ 0x068
PCNT_U3_CNT_REG equ 0x06c
PCNT_U4_CNT_REG equ 0x070
PCNT_U5_CNT_REG equ 0x074
PCNT_U6_CNT_REG equ 0x078
PCNT_U7_CNT_REG equ 0x07c
PCNT_INT_RAW_REG equ 0x080
PCNT_INT_ST_REG equ 0x084
PCNT_INT_ENA_REG equ 0x088
PCNT_INT_CLR_REG equ 0x08c
PCNT_CTRL_REG equ 0x0b0

;; Base registers for SLCCONF0
SLCCONF0_BASE equ 0x3ff58000
SLCCONF0_REG equ 0x000
SLC0INT_RAW_REG equ 0x004
SLC0INT_ST_REG equ 0x008
SLC0INT_ENA_REG equ 0x00c
SLC0INT_CLR_REG equ 0x010
SLC0RX_LINK_REG equ 0x03c
SLC0TX_LINK_REG equ 0x040
SLCINTVEC_TOHOST_REG equ 0x04c
SLC0TOKEN1_REG equ 0x054
SLCCONF1_REG equ 0x060
SLC_RX_DSCR_CONF_REG equ 0x098
SLC0_LEN_CONF_REG equ 0x0e4
SLC0_LENGTH_REG equ 0x0e8

;; Base registers for LEDC
LEDC_BASE equ 0x3ff59000
LEDC_HSCH0_CONF0_REG equ 0x000
LEDC_HSCH0_CONF1_REG equ 0x00c
LEDC_HSCH0_DUTY_R_REG equ 0x010
LEDC_HSCH1_CONF0_REG equ 0x014
LEDC_HSCH1_CONF1_REG equ 0x020
LEDC_HSCH1_DUTY_R_REG equ 0x024
LEDC_HSCH2_CONF0_REG equ 0x028
LEDC_HSCH2_CONF1_REG equ 0x034
LEDC_HSCH2_DUTY_R_REG equ 0x038
LEDC_HSCH3_CONF0_REG equ 0x03c
LEDC_HSCH3_CONF1_REG equ 0x048
LEDC_HSCH3_DUTY_R_REG equ 0x04c
LEDC_HSCH4_CONF0_REG equ 0x050
LEDC_HSCH4_DUTY_REG equ 0x058
LEDC_HSCH4_CONF1_REG equ 0x05c
LEDC_HSCH4_DUTY_R_REG equ 0x060
LEDC_HSCH5_CONF0_REG equ 0x064
LEDC_HSCH5_DUTY_REG equ 0x06c
LEDC_HSCH5_CONF1_REG equ 0x070
LEDC_HSCH5_DUTY_R_REG equ 0x074
LEDC_HSCH6_CONF0_REG equ 0x078
LEDC_HSCH6_DUTY_REG equ 0x080
LEDC_HSCH6_CONF1_REG equ 0x084
LEDC_HSCH6_DUTY_R_REG equ 0x088
LEDC_HSCH7_CONF0_REG equ 0x08c
LEDC_HSCH7_DUTY_REG equ 0x094
LEDC_HSCH7_CONF1_REG equ 0x098
LEDC_LSCH0_CONF0_REG equ 0x0a0
LEDC_LSCH0_CONF1_REG equ 0x0ac
LEDC_LSCH0_DUTY_R_REG equ 0x0b0
LEDC_LSCH1_CONF0_REG equ 0x0b4
LEDC_LSCH1_CONF1_REG equ 0x0c0
LEDC_LSCH1_DUTY_R_REG equ 0x0c4
LEDC_LSCH2_CONF0_REG equ 0x0c8
LEDC_LSCH2_CONF1_REG equ 0x0d4
LEDC_LSCH2_DUTY_R_REG equ 0x0d8
LEDC_LSCH3_CONF0_REG equ 0x0dc
LEDC_LSCH3_CONF1_REG equ 0x0e8
LEDC_LSCH3_DUTY_R_REG equ 0x0ec
LEDC_LSCH4_CONF0_REG equ 0x0f0
LEDC_LSCH4_CONF1_REG equ 0x0fc
LEDC_LSCH4_DUTY_R_REG equ 0x100
LEDC_LSCH5_CONF0_REG equ 0x104
LEDC_LSCH5_CONF1_REG equ 0x110
LEDC_LSCH5_DUTY_R_REG equ 0x114
LEDC_LSCH6_CONF0_REG equ 0x118
LEDC_LSCH6_CONF1_REG equ 0x124
LEDC_LSCH6_DUTY_R_REG equ 0x128
LEDC_LSCH7_CONF0_REG equ 0x12c
LEDC_LSCH7_DUTY_REG equ 0x134
LEDC_LSCH7_CONF1_REG equ 0x138
LEDC_LSCH7_DUTY_R_REG equ 0x13c
LEDC_HSTIMER0_CONF_REG equ 0x140
LEDC_HSTIMER0_VALUE_REG equ 0x144
LEDC_HSTIMER1_CONF_REG equ 0x148
LEDC_HSTIMER1_VALUE_REG equ 0x14c
LEDC_HSTIMER2_CONF_REG equ 0x150
LEDC_HSTIMER2_VALUE_REG equ 0x154
LEDC_HSTIMER3_CONF_REG equ 0x158
LEDC_HSTIMER3_VALUE_REG equ 0x15c
LEDC_LSTIMER0_CONF_REG equ 0x160
LEDC_LSTIMER0_VALUE_REG equ 0x164
LEDC_LSTIMER1_CONF_REG equ 0x168
LEDC_LSTIMER1_VALUE_REG equ 0x16c
LEDC_LSTIMER2_CONF_REG equ 0x170
LEDC_LSTIMER2_VALUE_REG equ 0x174
LEDC_LSTIMER3_CONF_REG equ 0x178
LEDC_LSTIMER3_VALUE_REG equ 0x17c
LEDC_INT_RAW_REG equ 0x180
LEDC_INT_ST_REG equ 0x184
LEDC_INT_ENA_REG equ 0x188
LEDC_INT_CLR_REG equ 0x18c
LEDC_CONF_REG equ 0x190

;; Base registers for EFUSE
EFUSE_BASE equ 0x3ff5a000
EFUSE_BLK0_RDATA0_REG equ 0x000
EFUSE_BLK0_RDATA1_REG equ 0x004
EFUSE_BLK0_RDATA2_REG equ 0x008
EFUSE_BLK0_RDATA3_REG equ 0x00c
EFUSE_BLK0_RDATA4_REG equ 0x010
EFUSE_BLK0_RDATA5_REG equ 0x014
EFUSE_BLK0_RDATA6_REG equ 0x018
EFUSE_BLK0_WDATA0_REG equ 0x01c
EFUSE_BLK0_WDATA1_REG equ 0x020
EFUSE_BLK0_WDATA2_REG equ 0x024
EFUSE_BLK0_WDATA3_REG equ 0x028
EFUSE_BLK0_WDATA4_REG equ 0x02c
EFUSE_BLK0_WDATA5_REG equ 0x030
EFUSE_BLK0_WDATA6_REG equ 0x034
EFUSE_BLK1_RDATA0_REG equ 0x038
EFUSE_BLK1_RDATA1_REG equ 0x03c
EFUSE_BLK1_RDATA2_REG equ 0x040
EFUSE_BLK1_RDATA3_REG equ 0x044
EFUSE_BLK1_RDATA4_REG equ 0x048
EFUSE_BLK1_RDATA5_REG equ 0x04c
EFUSE_BLK1_RDATA6_REG equ 0x050
EFUSE_BLK1_RDATA7_REG equ 0x054
EFUSE_BLK2_RDATA0_REG equ 0x058
EFUSE_BLK2_RDATA1_REG equ 0x05c
EFUSE_BLK2_RDATA2_REG equ 0x060
EFUSE_BLK2_RDATA3_REG equ 0x064
EFUSE_BLK2_RDATA4_REG equ 0x068
EFUSE_BLK2_RDATA5_REG equ 0x06c
EFUSE_BLK2_RDATA6_REG equ 0x070
EFUSE_BLK2_RDATA7_REG equ 0x074
EFUSE_BLK3_RDATA0_REG equ 0x078
EFUSE_BLK3_RDATA1_REG equ 0x07c
EFUSE_BLK3_RDATA2_REG equ 0x080
EFUSE_BLK3_RDATA3_REG equ 0x084
EFUSE_BLK3_RDATA4_REG equ 0x088
EFUSE_BLK3_RDATA5_REG equ 0x08c
EFUSE_BLK3_RDATA6_REG equ 0x090
EFUSE_BLK3_RDATA7_REG equ 0x094
EFUSE_BLK1_WDATA0_REG equ 0x098
EFUSE_BLK1_WDATA1_REG equ 0x09c
EFUSE_CLK_REG equ 0x0f8
EFUSE_CONF_REG equ 0x0fc
EFUSE_BLK1_WDATA2_REG equ 0x0a0
EFUSE_BLK1_WDATA3_REG equ 0x0a4
EFUSE_BLK1_WDATA4_REG equ 0x0a8
EFUSE_BLK1_WDATA5_REG equ 0x0ac
EFUSE_BLK1_WDATA6_REG equ 0x0b0
EFUSE_BLK1_WDATA7_REG equ 0x0b4
EFUSE_BLK2_WDATA0_REG equ 0x0b8
EFUSE_BLK2_WDATA1_REG equ 0x0bc
EFUSE_BLK2_WDATA2_REG equ 0x0c0
EFUSE_BLK2_WDATA3_REG equ 0x0c4
EFUSE_BLK2_WDATA4_REG equ 0x0c8
EFUSE_BLK2_WDATA5_REG equ 0x0cc
EFUSE_BLK2_WDATA6_REG equ 0x0d0
EFUSE_BLK2_WDATA7_REG equ 0x0d4
EFUSE_BLK3_WDATA0_REG equ 0x0d8
EFUSE_BLK3_WDATA1_REG equ 0x0dc
EFUSE_BLK3_WDATA2_REG equ 0x0e0
EFUSE_BLK3_WDATA3_REG equ 0x0e4
EFUSE_BLK3_WDATA4_REG equ 0x0e8
EFUSE_BLK3_WDATA5_REG equ 0x0ec
EFUSE_BLK3_WDATA6_REG equ 0x0f0
EFUSE_BLK3_WDATA7_REG equ 0x0f4
EFUSE_CMD_REG equ 0x104
EFUSE_INT_RAW_REG equ 0x108
EFUSE_INT_ST_REG equ 0x10c
EFUSE_INT_ENA_REG equ 0x110
EFUSE_INT_CLR_REG equ 0x114
EFUSE_DAC_CONF_REG equ 0x118
EFUSE_DEC_STATUS_REG equ 0x11c

;; Base registers for FLASH
FLASH_BASE equ 0x3ff5b000
FLASH_ENCRYPTION_BUFFER_0_REG equ 0x000
FLASH_ENCRYPTION_BUFFER_1_REG equ 0x004
FLASH_ENCRYPTION_BUFFER_2_REG equ 0x008
FLASH_ENCRYPTION_BUFFER_3_REG equ 0x00c
FLASH_ENCRYPTION_BUFFER_4_REG equ 0x010
FLASH_ENCRYPTION_BUFFER_5_REG equ 0x014
FLASH_ENCRYPTION_BUFFER_6_REG equ 0x018
FLASH_ENCRYPTION_BUFFER_7_REG equ 0x01c
FLASH_ENCRYPTION_START_REG equ 0x020
FLASH_ENCRYPTION_ADDRESS_REG equ 0x024
FLASH_ENCRYPTION_DONE_REG equ 0x028

